
# UI Framework Reference

## Index

### Enumerations

* [ButtonsPosition](enums/buttonsposition.md)
* [Direction](enums/direction.md)
* [GroupWidgetType](enums/groupwidgettype.md)
* [MockupType](enums/mockuptype.md)
* [ModelType](enums/modeltype.md)
* [NavigationMode](enums/navigationmode.md)
* [OptionType](enums/optiontype.md)
* [ProductVariantResourceType](enums/productvariantresourcetype.md)
* [ResizeMode](enums/resizemode.md)
* [ResourceType](enums/resourcetype.md)
* [SurfaceDimensionsValue](enums/surfacedimensionsvalue.md)

### Classes

* [ActionsErrorToastConfig](classes/actionserrortoastconfig.md)
* [ApiParams](classes/apiparams.md)
* [Au3dViewerBase](classes/au3dviewerbase.md)
* [AuAbstractOption](classes/auabstractoption.md)
* [AuBaseSelectorWidget](classes/aubaseselectorwidget.md)
* [AuBaseWidget](classes/aubasewidget.md)
* [AuCanvas](classes/aucanvas.md)
* [AuDesignEditor](classes/audesigneditor.md)
* [AuOptionBase](classes/auoptionbase.md)
* [AuPIMDesignSelector](classes/aupimdesignselector.md)
* [AuWidget3DViewer](classes/auwidget3dviewer.md)
* [AuWidgetAjax](classes/auwidgetajax.md)
* [AuWidgetAssetStorageAjax](classes/auwidgetassetstorageajax.md)
* [AuWidgetButton](classes/auwidgetbutton.md)
* [AuWidgetCanvas](classes/auwidgetcanvas.md)
* [AuWidgetCart](classes/auwidgetcart.md)
* [AuWidgetCheckbox](classes/auwidgetcheckbox.md)
* [AuWidgetColorPicker](classes/auwidgetcolorpicker.md)
* [AuWidgetColorSelector](classes/auwidgetcolorselector.md)
* [AuWidgetDataSheet](classes/auwidgetdatasheet.md)
* [AuWidgetDesignAtoms](classes/auwidgetdesignatoms.md)
* [AuWidgetDesignEditor](classes/auwidgetdesigneditor.md)
* [AuWidgetDndController](classes/auwidgetdndcontroller.md)
* [AuWidgetFinishButton](classes/auwidgetfinishbutton.md)
* [AuWidgetFinishGroup](classes/auwidgetfinishgroup.md)
* [AuWidgetFunctionTrigger](classes/auwidgetfunctiontrigger.md)
* [AuWidgetGallery](classes/auwidgetgallery.md)
* [AuWidgetGroup](classes/auwidgetgroup.md)
* [AuWidgetHelp](classes/auwidgethelp.md)
* [AuWidgetHtml](classes/auwidgethtml.md)
* [AuWidgetImageCarousel](classes/auwidgetimagecarousel.md)
* [AuWidgetInputText](classes/auwidgetinputtext.md)
* [AuWidgetMockup3DViewer](classes/auwidgetmockup3dviewer.md)
* [AuWidgetOption](classes/auwidgetoption.md)
* [AuWidgetOrder](classes/auwidgetorder.md)
* [AuWidgetPantoneColorPicker](classes/auwidgetpantonecolorpicker.md)
* [AuWidgetPantoneColorPickerConfig](classes/auwidgetpantonecolorpickerconfig.md)
* [AuWidgetPimOption](classes/auwidgetpimoption.md)
* [AuWidgetPimOptions](classes/auwidgetpimoptions.md)
* [AuWidgetPreflight](classes/auwidgetpreflight.md)
* [AuWidgetPreflightConfig](classes/auwidgetpreflightconfig.md)
* [AuWidgetPreviewMockupSlider](classes/auwidgetpreviewmockupslider.md)
* [AuWidgetProductInformationAJAX](classes/auwidgetproductinformationajax.md)
* [AuWidgetSlider](classes/auwidgetslider.md)
* [AuWidgetStaticText](classes/auwidgetstatictext.md)
* [AuWidgetSteps](classes/auwidgetsteps.md)
* [AuWidgetUploader](classes/auwidgetuploader.md)
* [AuWidgetVariantSelector](classes/auwidgetvariantselector.md)
* [AuWizard](classes/auwizard.md)
* [AuWizardConfig](classes/auwizardconfig.md)
* [CameraButtonDefinition](classes/camerabuttondefinition.md)
* [CanvasImageItemData](classes/canvasimageitemdata.md)
* [CanvasItemChanges](classes/canvasitemchanges.md)
* [CanvasItemData](classes/canvasitemdata.md)
* [CanvasTextItemData](classes/canvastextitemdata.md)
* [CanvasWidgetCommand](classes/canvaswidgetcommand.md)
* [ChangeDesignVariantCommand](classes/changedesignvariantcommand.md)
* [ChangeMockupCommand](classes/changemockupcommand.md)
* [ChangedSurface](classes/changedsurface.md)
* [CmykColor](classes/cmykcolor.md)
* [ColumnScheme](classes/columnscheme.md)
* [CreateImageItemCommand](classes/createimageitemcommand.md)
* [DataSheetCellError](classes/datasheetcellerror.md)
* [DataSheetFieldData](classes/datasheetfielddata.md)
* [DataSheetTableTexts](classes/datasheettabletexts.md)
* [DesignEditorItemChanges](classes/designeditoritemchanges.md)
* [DesignEditorWidgetCommand](classes/designeditorwidgetcommand.md)
* [DownloadingModel](classes/downloadingmodel.md)
* [DuplicateSurfacesCommand](classes/duplicatesurfacescommand.md)
* [ErrorModel](classes/errormodel.md)
* [EventCallbacks](classes/eventcallbacks.md)
* [FailedChecksModel](classes/failedchecksmodel.md)
* [FinishModel](classes/finishmodel.md)
* [Initial](classes/initial.md)
* [InitialCommand](classes/initialcommand.md)
* [ItemDescription](classes/itemdescription.md)
* [LoadUserInfoCommand](classes/loaduserinfocommand.md)
* [ModifyItemsCommand](classes/modifyitemscommand.md)
* [OptionSummary](classes/optionsummary.md)
* [OptionWidget](classes/optionwidget.md)
* [OrigamiViewerParams](classes/origamiviewerparams.md)
* [OriginModel](classes/originmodel.md)
* [PreviewModel](classes/previewmodel.md)
* [ProductInformation](classes/productinformation.md)
* [ProductInformationDesign](classes/productinformationdesign.md)
* [ProductInformationDesignResources](classes/productinformationdesignresources.md)
* [ProductInformationMockup](classes/productinformationmockup.md)
* [ProductInformationOption](classes/productinformationoption.md)
* [ProductInformationOptionValue](classes/productinformationoptionvalue.md)
* [ProductInformationVariant](classes/productinformationvariant.md)
* [ProductInformationVariantOption](classes/productinformationvariantoption.md)
* [ResizeItemsCommand](classes/resizeitemscommand.md)
* [ResponseErrorContext](classes/responseerrorcontext.md)
* [RgbColor](classes/rgbcolor.md)
* [RuleDisplayResult](classes/ruledisplayresult.md)
* [RuleResult](classes/ruleresult.md)
* [SerializedLayout](classes/serializedlayout.md)
* [SetBackgroundCommand](classes/setbackgroundcommand.md)
* [SetPrintAreaCommand](classes/setprintareacommand.md)
* [SetProductModel](classes/setproductmodel.md)
* [SetRemoteMockupCommand](classes/setremotemockupcommand.md)
* [SetSerializedProduct](classes/setserializedproduct.md)
* [SetSurfacesCommand](classes/setsurfacescommand.md)
* [SetThemeCommand](classes/setthemecommand.md)
* [SetViewerSettings](classes/setviewersettings.md)
* [StepChangedEventDetails](classes/stepchangedeventdetails.md)
* [StepConditionConfig](classes/stepconditionconfig.md)
* [SwapSurfacesCommand](classes/swapsurfacescommand.md)
* [SwitchItemContentModel](classes/switchitemcontentmodel.md)
* [TranslateItemsCommand](classes/translateitemscommand.md)
* [UpdateContainerSettingsCommand](classes/updatecontainersettingscommand.md)
* [UpdateItems](classes/updateitems.md)
* [UpdateSurfacesCommand](classes/updatesurfacescommand.md)
* [VariableManager](classes/variablemanager.md)
* [WidgetOutput](classes/widgetoutput.md)
* [WidgetParams](classes/widgetparams.md)

### Interfaces

* [AdvancedISliderConfig](interfaces/advancedisliderconfig.md)
* [AuWidgetGroupParam](interfaces/auwidgetgroupparam.md)
* [CameraSetting](interfaces/camerasetting.md)
* [I3DItem](interfaces/i3ditem.md)
* [I3DViewerNewParams](interfaces/i3dviewernewparams.md)
* [I3DViewerParams](interfaces/i3dviewerparams.md)
* [IAbstractValue](interfaces/iabstractvalue.md)
* [IApiPointParams](interfaces/iapipointparams.md)
* [IArtLinkItem](interfaces/iartlinkitem.md)
* [IArtLinkItemExtended](interfaces/iartlinkitemextended.md)
* [IAssetDataResult](interfaces/iassetdataresult.md)
* [IAuWidgetAjaxConfig](interfaces/iauwidgetajaxconfig.md)
* [IAuWidgetAssetStorageAjaxConfig](interfaces/iauwidgetassetstorageajaxconfig.md)
* [IAuWidgetFinishGroupConfig](interfaces/iauwidgetfinishgroupconfig.md)
* [IAuWidgetFunctionTriggerConfig](interfaces/iauwidgetfunctiontriggerconfig.md)
* [IAuWidgetHelpParams](interfaces/iauwidgethelpparams.md)
* [IBackToProductButton](interfaces/ibacktoproductbutton.md)
* [IBoundsData](interfaces/iboundsdata.md)
* [IButtonConfig](interfaces/ibuttonconfig.md)
* [ICanvasCommandDefinition](interfaces/icanvascommanddefinition.md)
* [ICanvasDefinitionChangeLayout](interfaces/icanvasdefinitionchangelayout.md)
* [ICanvasDefinitionChangeMockup](interfaces/icanvasdefinitionchangemockup.md)
* [ICanvasDefinitionInitial](interfaces/icanvasdefinitioninitial.md)
* [ICanvasDefinitionModifyItems](interfaces/icanvasdefinitionmodifyitems.md)
* [ICanvasDefinitionParams](interfaces/icanvasdefinitionparams.md)
* [ICanvasDefinitionSetBackground](interfaces/icanvasdefinitionsetbackground.md)
* [ICanvasDefinitionSetPrintArea](interfaces/icanvasdefinitionsetprintarea.md)
* [ICanvasDefinitionSetTheme](interfaces/icanvasdefinitionsettheme.md)
* [ICanvasDefinitionSetViewerSettings](interfaces/icanvasdefinitionsetviewersettings.md)
* [ICanvasPreloaderConfig](interfaces/icanvaspreloaderconfig.md)
* [ICartConfig](interfaces/icartconfig.md)
* [IChangeDesignVariantCommandDefinition](interfaces/ichangedesignvariantcommanddefinition.md)
* [IChangeDesignVariantProductDefinition](interfaces/ichangedesignvariantproductdefinition.md)
* [IChangeDesignVariantSurfaceFromState](interfaces/ichangedesignvariantsurfacefromstate.md)
* [ICheckboxConfig](interfaces/icheckboxconfig.md)
* [IColor](interfaces/icolor.md)
* [IColorPickerConfig](interfaces/icolorpickerconfig.md)
* [IColorPickerData](interfaces/icolorpickerdata.md)
* [IColorSelectorConfig](interfaces/icolorselectorconfig.md)
* [IConfigProductInformationAJAX](interfaces/iconfigproductinformationajax.md)
* [IConfiglResizeArgs](interfaces/iconfiglresizeargs.md)
* [ICreateImageItem](interfaces/icreateimageitem.md)
* [IDepositPhotosItem](interfaces/idepositphotositem.md)
* [IDepositPhotosItemExtended](interfaces/idepositphotositemextended.md)
* [IDesignAtomsWidgetConfig](interfaces/idesignatomswidgetconfig.md)
* [IDesignEditorCommandDefinition](interfaces/idesigneditorcommanddefinition.md)
* [IDesignEditorDefinitionChangeLayout](interfaces/idesigneditordefinitionchangelayout.md)
* [IDesignEditorDefinitionChangeMockup](interfaces/idesigneditordefinitionchangemockup.md)
* [IDesignEditorDefinitionInitial](interfaces/idesigneditordefinitioninitial.md)
* [IDesignEditorDefinitionModifyItems](interfaces/idesigneditordefinitionmodifyitems.md)
* [IDesignEditorDefinitionParams](interfaces/idesigneditordefinitionparams.md)
* [IDesignEditorDefinitionResizeItems](interfaces/idesigneditordefinitionresizeitems.md)
* [IDesignEditorDefinitionSetBackground](interfaces/idesigneditordefinitionsetbackground.md)
* [IDesignEditorDefinitionSetPrintArea](interfaces/idesigneditordefinitionsetprintarea.md)
* [IDesignEditorDefinitionSetTheme](interfaces/idesigneditordefinitionsettheme.md)
* [IDesignEditorDefinitionSetViewerSettings](interfaces/idesigneditordefinitionsetviewersettings.md)
* [IDesignEditorDefinitionTranslateItems](interfaces/idesigneditordefinitiontranslateitems.md)
* [IDesignEditorLoadUserInfoParams](interfaces/idesigneditorloaduserinfoparams.md)
* [IDesignEditorPreloaderConfig](interfaces/idesigneditorpreloaderconfig.md)
* [IDesignSelectorConfig](interfaces/idesignselectorconfig.md)
* [IDndControllerConfig](interfaces/idndcontrollerconfig.md)
* [IDuplicateSurfacesCommandDefinition](interfaces/iduplicatesurfacescommanddefinition.md)
* [IEditorElement](interfaces/ieditorelement.md)
* [IEventCallbacks](interfaces/ieventcallbacks.md)
* [IFilter](interfaces/ifilter.md)
* [IFinishButtonConfig](interfaces/ifinishbuttonconfig.md)
* [IFormDataConfig](interfaces/iformdataconfig.md)
* [IGalleryConfig](interfaces/igalleryconfig.md)
* [IGalleryItem](interfaces/igalleryitem.md)
* [IHtmlConfig](interfaces/ihtmlconfig.md)
* [IImage](interfaces/iimage.md)
* [IImageCarouselConfig](interfaces/iimagecarouselconfig.md)
* [IImageCarouselPreloaderConfig](interfaces/iimagecarouselpreloaderconfig.md)
* [IImagesSlider](interfaces/iimagesslider.md)
* [IInitialConfig](interfaces/iinitialconfig.md)
* [IInputTextConfig](interfaces/iinputtextconfig.md)
* [IItemFromSource](interfaces/iitemfromsource.md)
* [ILineItem](interfaces/ilineitem.md)
* [IMetadataComponent](interfaces/imetadatacomponent.md)
* [IMetadataConfig](interfaces/imetadataconfig.md)
* [IOption](interfaces/ioption.md)
* [IOptionConfig](interfaces/ioptionconfig.md)
* [IOptionModifier](interfaces/ioptionmodifier.md)
* [IOptionParams](interfaces/ioptionparams.md)
* [IOptionSummaryItem](interfaces/ioptionsummaryitem.md)
* [IOptionsConfig](interfaces/ioptionsconfig.md)
* [IOrderConfig](interfaces/iorderconfig.md)
* [IOrderInitModel](interfaces/iorderinitmodel.md)
* [IPreviewOptions](interfaces/ipreviewoptions.md)
* [IRequestModel](interfaces/irequestmodel.md)
* [IRestorableWidget](interfaces/irestorablewidget.md)
* [ISetBackgroundParam](interfaces/isetbackgroundparam.md)
* [ISetPrintAreaOptions](interfaces/isetprintareaoptions.md)
* [ISetProductModelConfig](interfaces/isetproductmodelconfig.md)
* [ISetRemoteMockup](interfaces/isetremotemockup.md)
* [ISetSerializedProductConfig](interfaces/isetserializedproductconfig.md)
* [ISetSurfacesOptions](interfaces/isetsurfacesoptions.md)
* [ISetViewerSettingsConfig](interfaces/isetviewersettingsconfig.md)
* [ISliderConfig](interfaces/isliderconfig.md)
* [ISourcedItemsInfo](interfaces/isourceditemsinfo.md)
* [IStaticTextConfig](interfaces/istatictextconfig.md)
* [IStepData](interfaces/istepdata.md)
* [ISwapSurfacesCommandDefinition](interfaces/iswapsurfacescommanddefinition.md)
* [ITemplateConfig](interfaces/itemplateconfig.md)
* [ITranslateItemCommandConfigArgs](interfaces/itranslateitemcommandconfigargs.md)
* [IUpdateItemsCommandDefinition](interfaces/iupdateitemscommanddefinition.md)
* [IUpdateItemsConfig](interfaces/iupdateitemsconfig.md)
* [IUpdateSurfacesCommandDefinition](interfaces/iupdatesurfacescommanddefinition.md)
* [IUploaderConfig](interfaces/iuploaderconfig.md)
* [IVariableManager](interfaces/ivariablemanager.md)
* [IViewerSettings](interfaces/iviewersettings.md)
* [IWidget](interfaces/iwidget.md)
* [IWidgetDataDrivenParams](interfaces/iwidgetdatadrivenparams.md)
* [IWidgetDataSheetColumnScheme](interfaces/iwidgetdatasheetcolumnscheme.md)
* [IWidgetDataSheetConfig](interfaces/iwidgetdatasheetconfig.md)
* [IWidgetDataSheetTexts](interfaces/iwidgetdatasheettexts.md)
* [IWidgetOptionParam](interfaces/iwidgetoptionparam.md)
* [IWidgetOptionValue](interfaces/iwidgetoptionvalue.md)
* [IWidgetStepsConfig](interfaces/iwidgetstepsconfig.md)
* [ItemChangeObject](interfaces/itemchangeobject.md)
* [ItemFunctions](interfaces/itemfunctions.md)
* [PimOptionRestorationData](interfaces/pimoptionrestorationdata.md)
* [PreviewMockupSlider](interfaces/previewmockupslider.md)
* [PreviewMockupSliderConfig](interfaces/previewmockupsliderconfig.md)
* [ProductVariantDesign](interfaces/productvariantdesign.md)
* [ProductVariantOption](interfaces/productvariantoption.md)
* [ProductVariantResource](interfaces/productvariantresource.md)
* [ProductVariantResourcePreview](interfaces/productvariantresourcepreview.md)
* [SimpleOptionValue](interfaces/simpleoptionvalue.md)
* [StepHelpConfig](interfaces/stephelpconfig.md)
* [Tab](interfaces/tab.md)
* [ThumbRenderResult](interfaces/thumbrenderresult.md)
* [VariantSelector](interfaces/variantselector.md)
* [VariantSelectorConfig](interfaces/variantselectorconfig.md)

### Type aliases

* [AssetStorageApiClientResult](README.md#assetstorageapiclientresult)
* [AssetStorageClient](README.md#assetstorageclient)
* [AssetType](README.md#assettype)
* [DataSheetRow](README.md#datasheetrow)
* [DownloadPosition](README.md#downloadposition)
* [EntityType](README.md#entitytype)
* [ErrorsCallback](README.md#errorscallback)
* [HelpType](README.md#helptype)
* [IMetadataType](README.md#imetadatatype)
* [IOldOptionSubType](README.md#ioldoptionsubtype)
* [IOldOptionType](README.md#ioldoptiontype)
* [ISetRemoteMockupParams](README.md#isetremotemockupparams)
* [IconPosition](README.md#iconposition)
* [PreflightToolStep](README.md#preflighttoolstep)
* [ResponseType](README.md#responsetype)
* [THiResImagesOptions](README.md#thiresimagesoptions)
* [TProofImagesOptions](README.md#tproofimagesoptions)

### Variables

* [BACKGROUND_COLOR](README.md#const-background_color)
* [BACK_SIDE_ICO](README.md#const-back_side_ico)
* [BOTTOM_SIDE_ICO](README.md#const-bottom_side_ico)
* [DDE](README.md#const-dde)
* [FRONT_SIDE_ICO](README.md#const-front_side_ico)
* [LEFT_SIDE_ICO](README.md#const-left_side_ico)
* [MATERIAL_ICONS](README.md#const-material_icons)
* [MAT_TOGGLE_STYLE](README.md#const-mat_toggle_style)
* [PAUSE_ICO](README.md#const-pause_ico)
* [PLAY_ICO](README.md#const-play_ico)
* [RIGHT_SIDE_ICO](README.md#const-right_side_ico)
* [ROBOTO_FONT](README.md#const-roboto_font)
* [SPEED_ANIMATION_ICO_1X](README.md#const-speed_animation_ico_1x)
* [SPEED_ANIMATION_ICO_2X](README.md#const-speed_animation_ico_2x)
* [TOAST_DURATION](README.md#const-toast_duration)
* [TOP_SIDE_ICO](README.md#const-top_side_ico)
* [mixed](README.md#const-mixed)
* [promise](README.md#let-promise)

### Functions

* [clearSvg](README.md#const-clearsvg)
* [createColorsPalette](README.md#const-createcolorspalette)
* [createSvgPalette](README.md#const-createsvgpalette)
* [getAppropriateOptionType](README.md#getappropriateoptiontype)
* [isArray](README.md#const-isarray)
* [isString](README.md#const-isstring)

## Type aliases

###  AssetStorageApiClientResult

Ƭ **AssetStorageApiClientResult**: *FolderContentOfDesignDto | FolderContentOfImageDto | FolderContentOfFontDto*

___

###  AssetStorageClient

Ƭ **AssetStorageClient**: *FontsApiClient | ImagesApiClient | DesignsApiClient | PrivateDesignsApiClient | PrivateImagesApiClient*

___

###  AssetType

Ƭ **AssetType**: *"designs" | "images" | "privatedesigns" | "privateimages" | "fonts"*

___

###  DataSheetRow

Ƭ **DataSheetRow**: *object*

#### Type declaration:

* \[ **id**: *string*\]: string

___

###  DownloadPosition

Ƭ **DownloadPosition**: *"left" | "right"*

___

###  EntityType

Ƭ **EntityType**: *DesignDto | FontDto | ImageDto*

___

###  ErrorsCallback

Ƭ **ErrorsCallback**: *function*

Defines a function that should work when a request fails.

#### Type declaration:

▸ (`errorData`: [ResponseErrorContext](classes/responseerrorcontext.md)): *void*

**Parameters:**

Name | Type |
------ | ------ |
`errorData` | [ResponseErrorContext](classes/responseerrorcontext.md) |

___

###  HelpType

Ƭ **HelpType**: *"modal" | "page"*

A help style.

**`modal`** Represents a modal window.

**`page`** Represents a web page.

___

###  IMetadataType

Ƭ **IMetadataType**: *"radio" | "chips" | "dropdown" | "color-grid" | "color-list" | "color-picker" | "image-grid" | "image-list" | "image-picker" | "checkbox"*

___

###  IOldOptionSubType

Ƭ **IOldOptionSubType**: *"compact" | "detailed"*

___

###  IOldOptionType

Ƭ **IOldOptionType**: *"radio-compact" | "radio-detailed" | "image-compact" | "image-detailed" | "color-compact" | "color-detailed" | "list-compact" | "list-detailed" | "checkbox-compact" | "checkbox-detailed" | "multilist-detailed" | "multilist-compact"*

___

###  ISetRemoteMockupParams

Ƭ **ISetRemoteMockupParams**: *ISetRemoteMockup[]*

___

###  IconPosition

Ƭ **IconPosition**: *"left" | "right"*

___

###  PreflightToolStep

Ƭ **PreflightToolStep**: *"uploader" | "editor"*

A preflight step.

**`uploader`** A step when users upload their images.

**`editor`** A step when users perform the preflight check, fix their files, and get previews of print-ready files.

___

###  ResponseType

Ƭ **ResponseType**: *"text" | "blob" | "json" | "blob_url" | "status_code"*

A response type specifying how to interpret the response received from the server.

**`text`** - a raw text string. The Ajax widget does not try to interpret it.

**`json`** - a JSON object. When you refer the `response` in your config, you can access its properties.

**`blob`** - binary data. It makes sense to use it along with some widgets that can work with binary data directly.

**`blob_url`** - binary data, but it is converted to the Blob URL, which can be used with HTML markup.

**`status_code`** - an HTTP code.

___

###  THiResImagesOptions

Ƭ **THiResImagesOptions**: *Omit‹IFinishProductDesignOptions, "stateId" | "proofMaxWidth" | "proofMaxHeight" | "pregeneratePreviewImages" | "fileName"›*

___

###  TProofImagesOptions

Ƭ **TProofImagesOptions**: *Omit‹IGetProofImagesOptions, "maxWidth" | "maxHeight" | "pregeneratePreviewImages" | "generateProductProof" | "generateLargePreviews" | "largePreviewMaxWidth" | "largePreviewMaxHeight"›*

## Variables

### `Const` BACKGROUND_COLOR

• **BACKGROUND_COLOR**: *"#f5f5f5"* = "#f5f5f5"

___

### `Const` BACK_SIDE_ICO

• **BACK_SIDE_ICO**: *"static/images/3d-viewer/back.svg"* = "static/images/3d-viewer/back.svg"

___

### `Const` BOTTOM_SIDE_ICO

• **BOTTOM_SIDE_ICO**: *"static/images/3d-viewer/bottom.svg"* = "static/images/3d-viewer/bottom.svg"

___

### `Const` DDE

• **DDE**: *"<div style="width:100%; height:100%">
<au-data-driven-editor id="dd-editor"></au-data-driven-editor>
</div>"* =  `<div style="width:100%; height:100%">
<au-data-driven-editor id="dd-editor"></au-data-driven-editor>
</div>`

___

### `Const` FRONT_SIDE_ICO

• **FRONT_SIDE_ICO**: *"static/images/3d-viewer/front.svg"* = "static/images/3d-viewer/front.svg"

___

### `Const` LEFT_SIDE_ICO

• **LEFT_SIDE_ICO**: *"static/images/3d-viewer/left.svg"* = "static/images/3d-viewer/left.svg"

___

### `Const` MATERIAL_ICONS

• **MATERIAL_ICONS**: *"<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />"* = "<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />"

___

### `Const` MAT_TOGGLE_STYLE

• **MAT_TOGGLE_STYLE**: *"<style> .mat-button-toggle-button { height: 100%; } </style>"* = "<style> .mat-button-toggle-button { height: 100%; } </style>"

___

### `Const` PAUSE_ICO

• **PAUSE_ICO**: *"static/images/3d-viewer/pause.svg"* = "static/images/3d-viewer/pause.svg"

___

### `Const` PLAY_ICO

• **PLAY_ICO**: *"static/images/3d-viewer/play.svg"* = "static/images/3d-viewer/play.svg"

___

### `Const` RIGHT_SIDE_ICO

• **RIGHT_SIDE_ICO**: *"static/images/3d-viewer/right.svg"* = "static/images/3d-viewer/right.svg"

___

### `Const` ROBOTO_FONT

• **ROBOTO_FONT**: *"<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet" />"* = "<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet" />"

___

### `Const` SPEED_ANIMATION_ICO_1X

• **SPEED_ANIMATION_ICO_1X**: *"static/images/3d-viewer/1x.svg"* = "static/images/3d-viewer/1x.svg"

___

### `Const` SPEED_ANIMATION_ICO_2X

• **SPEED_ANIMATION_ICO_2X**: *"static/images/3d-viewer/2x.svg"* = "static/images/3d-viewer/2x.svg"

___

### `Const` TOAST_DURATION

• **TOAST_DURATION**: *5000* = 5000

The number of milliseconds before the toast is dismissed.

___

### `Const` TOP_SIDE_ICO

• **TOP_SIDE_ICO**: *"static/images/3d-viewer/top.svg"* = "static/images/3d-viewer/top.svg"

___

### `Const` mixed

• **mixed**: *any* =  AuTranslationMixin(AuWizardConfig as any as Constructor<AuWizardConfig>)

___

### `Let` promise

• **promise**: *any*

## Functions

### `Const` clearSvg

▸ **clearSvg**(`svg`: any): *any*

Clear svg fill and stroke.

**Parameters:**

Name | Type |
------ | ------ |
`svg` | any |

**Returns:** *any*

___

### `Const` createColorsPalette

▸ **createColorsPalette**(`colors`: any): *DocumentFragment*

Create palette with two colors without svg.

**Parameters:**

Name | Type |
------ | ------ |
`colors` | any |

**Returns:** *DocumentFragment*

___

### `Const` createSvgPalette

▸ **createSvgPalette**(`colors`: any, `svg`: any): *HTMLDivElement*

Create palette with svg.

**Parameters:**

Name | Type |
------ | ------ |
`colors` | any |
`svg` | any |

**Returns:** *HTMLDivElement*

___

###  getAppropriateOptionType

▸ **getAppropriateOptionType**(`type`: AppearanceDataType, `isMultiSelect`: boolean): *[IMetadataType](README.md#imetadatatype)*

**Parameters:**

Name | Type |
------ | ------ |
`type` | AppearanceDataType |
`isMultiSelect` | boolean |

**Returns:** *[IMetadataType](README.md#imetadatatype)*

___

### `Const` isArray

▸ **isArray**(`e`: any): *boolean*

**Parameters:**

Name | Type |
------ | ------ |
`e` | any |

**Returns:** *boolean*

___

### `Const` isString

▸ **isString**(`e`: any): *boolean*

**Parameters:**

Name | Type |
------ | ------ |
`e` | any |

**Returns:** *boolean*
