
# Class: AuAbstractOption

## Hierarchy

  ↳ [AuBaseSelectorWidget](aubaseselectorwidget.md)

  ↳ **AuAbstractOption**

  ↳ [AuWidgetOption](auwidgetoption.md)

## Implements

* [IWidget](../interfaces/iwidget.md)

## Index

### Properties

* [_definitionPromise](auabstractoption.md#_definitionpromise)
* [_firstTimeInit](auabstractoption.md#_firsttimeinit)
* [_onChange](auabstractoption.md#_onchange)
* [element](auabstractoption.md#element)
* [order](auabstractoption.md#order)
* [params](auabstractoption.md#params)
* [placeholderText](auabstractoption.md#placeholdertext)

### Accessors

* [_](auabstractoption.md#_)
* [selected](auabstractoption.md#selected)

### Methods

* [_manageEmptyValuesText](auabstractoption.md#_manageemptyvaluestext)
* [checkInitDependenciesWidgets](auabstractoption.md#checkinitdependencieswidgets)
* [clearSelection](auabstractoption.md#clearselection)
* [resetPreloaderState](auabstractoption.md#resetpreloaderstate)
* [showPreloader](auabstractoption.md#showpreloader)
* [showToast](auabstractoption.md#showtoast)

## Properties

###  _definitionPromise

• **_definitionPromise**: *Promise‹any›* =  Promise.resolve()

___

###  _firstTimeInit

• **_firstTimeInit**: *boolean* = true

___

###  _onChange

• **_onChange**: *Function*

___

###  element

• **element**: *[AuOptionBase](auoptionbase.md)*

An option obtained from the e-commerce driver.

___

###  order

• **order**: *IOrder*

An order obtained from the e-commerce driver.

___

###  params

• **params**: *any*

*Implementation of [IWidget](../interfaces/iwidget.md).[params](../interfaces/iwidget.md#optional-params)*

*Inherited from [AuBaseWidget](aubasewidget.md).[params](aubasewidget.md#params)*

Compiled widget configuration.

___

###  placeholderText

• **placeholderText**: *string*

## Accessors

###  _

• **get _**(): *string | IOptionValue & SelectedOption*

*Overrides [AuBaseSelectorWidget](aubaseselectorwidget.md).[_](aubaseselectorwidget.md#_)*

Returns the selected value.

**Returns:** *string | IOptionValue & SelectedOption*

___

###  selected

• **get selected**(): *string | [IWidgetOptionValue](../interfaces/iwidgetoptionvalue.md) & SelectedOption*

Returns the selected value.

**Returns:** *string | [IWidgetOptionValue](../interfaces/iwidgetoptionvalue.md) & SelectedOption*

## Methods

###  _manageEmptyValuesText

▸ **_manageEmptyValuesText**(`applyEmptyValues`: boolean): *void*

**Parameters:**

Name | Type |
------ | ------ |
`applyEmptyValues` | boolean |

**Returns:** *void*

___

###  checkInitDependenciesWidgets

▸ **checkInitDependenciesWidgets**(): *string[]*

*Inherited from [AuBaseWidget](aubasewidget.md).[checkInitDependenciesWidgets](aubasewidget.md#checkinitdependencieswidgets)*

Returns an array of widget names, due to which the current widget cannot receive parameters.

**Returns:** *string[]*

___

###  clearSelection

▸ **clearSelection**(): *void*

*Overrides [AuBaseSelectorWidget](aubaseselectorwidget.md).[clearSelection](aubaseselectorwidget.md#abstract-clearselection)*

Sets the value of the option to `null`.

**Returns:** *void*

___

###  resetPreloaderState

▸ **resetPreloaderState**(): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[resetPreloaderState](aubasewidget.md#resetpreloaderstate)*

**Returns:** *void*

___

###  showPreloader

▸ **showPreloader**(`isPreload`: boolean, `message`: string | string[], `timeout`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showPreloader](aubasewidget.md#showpreloader)*

Shows a preloader.

```
"onClick": [
  "{{#function main.showPreloader(true, 'Creating print files...')}}",
  "{{#function $['editor'].getHiResImages(800,800)}}",
  "{{#function main.showPreloader(false)}}"
]
```

**Parameters:**

Name | Type | Default | Description |
------ | ------ | ------ | ------ |
`isPreload` | boolean | - | If `true`, enables the preloader. |
`message` | string &#124; string[] |  [""] | A text message that appears next to the preloader.  |
`timeout` | number | 5 | - |

**Returns:** *void*

___

###  showToast

▸ **showToast**(`data?`: string, `duration?`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showToast](aubasewidget.md#showtoast)*

Shows a toast.

```
return editor.loadUserInfo(data)
    .catch(err => {
        this.widget.showToast("Error: Invalid data");
        console.log(err);
    });
```

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`data?` | string | A string message to display in the toast. |
`duration?` | number | Defines how long to show the toast for.  |

**Returns:** *void*
