
# Class: AuOptionBase

Provides properties for options obtained from the e-commerce driver.

For details, you can refer to the [Option widget](https://customerscanvas.com/dev/editors/ui-framework/widgets/option.html) topic.

An **element** of the [AuWidgetOption](auwidgetoption.md) class implements properties of this abstract class.

## Hierarchy

* any

  ↳ **AuOptionBase**

## Index

### Properties

* [applyEmptyValues](auoptionbase.md#applyemptyvalues)
* [description](auoptionbase.md#description)
* [disabled](auoptionbase.md#disabled)
* [driver](auoptionbase.md#driver)
* [emptyValuesText](auoptionbase.md#emptyvaluestext)
* [id](auoptionbase.md#id)
* [isActive](auoptionbase.md#isactive)
* [isVisible](auoptionbase.md#isvisible)
* [order](auoptionbase.md#order)
* [prompt](auoptionbase.md#prompt)
* [props](auoptionbase.md#props)
* [required](auoptionbase.md#required)
* [title](auoptionbase.md#title)
* [type](auoptionbase.md#type)
* [value](auoptionbase.md#abstract-value)

## Properties

###  applyEmptyValues

• **applyEmptyValues**: *boolean*

___

###  description

• **description**: *string*

The option description.

___

###  disabled

• **disabled**: *boolean* = false

If `true`, disables this option.

___

###  driver

• **driver**: *IDriver*

The e-commerce driver.

___

###  emptyValuesText

• **emptyValuesText**: *string*

___

###  id

• **id**: *string*

The option identifier. If there is no such an option in the ecommerce, the editor will create a new option with this `id`.

___

###  isActive

• **isActive**: *boolean* = true

___

###  isVisible

• **isVisible**: *boolean* = true

___

###  order

• **order**: *IOrder*

An order in the e-commerce driver.

___

###  prompt

• **prompt**: *string*

A text message associated with this option.

___

###  props

• **props**: *any*

An object defining the option-specific properties.

___

###  required

• **required**: *boolean*

This property is `true` for options that must be selected by the user.

___

###  title

• **title**: *string*

The option title.

___

###  type

• **type**: *string*

The option type, either `radio`, `image`, `color`, `list`, `checkbox`, or `text`.

___

### `Abstract` value

• **value**: *any*

The option value.
