
# Class: AuWidgetPimOption

## Hierarchy

  ↳ [AuBaseSelectorWidget](aubaseselectorwidget.md)

  ↳ **AuWidgetPimOption**

## Implements

* [IWidget](../interfaces/iwidget.md)

## Index

### Properties

* [_isRestoring](auwidgetpimoption.md#_isrestoring)
* [isActive](auwidgetpimoption.md#isactive)
* [isVisible](auwidgetpimoption.md#isvisible)
* [params](auwidgetpimoption.md#params)
* [showDropdown](auwidgetpimoption.md#showdropdown)
* [showTooltip](auwidgetpimoption.md#showtooltip)
* [tooltipText](auwidgetpimoption.md#tooltiptext)

### Accessors

* [_](auwidgetpimoption.md#_)

### Methods

* [checkInitDependenciesWidgets](auwidgetpimoption.md#checkinitdependencieswidgets)
* [clearSelection](auwidgetpimoption.md#clearselection)
* [connectedCallback](auwidgetpimoption.md#connectedcallback)
* [disconnectedCallback](auwidgetpimoption.md#disconnectedcallback)
* [resetPreloaderState](auwidgetpimoption.md#resetpreloaderstate)
* [showPreloader](auwidgetpimoption.md#showpreloader)
* [showToast](auwidgetpimoption.md#showtoast)
* [updateParamsAsync](auwidgetpimoption.md#updateparamsasync)

## Properties

###  _isRestoring

• **_isRestoring**: *boolean*

___

###  isActive

• **isActive**: *boolean* = true

___

###  isVisible

• **isVisible**: *boolean* = true

___

###  params

• **params**: *any*

*Implementation of [IWidget](../interfaces/iwidget.md).[params](../interfaces/iwidget.md#optional-params)*

*Inherited from [AuBaseWidget](aubasewidget.md).[params](aubasewidget.md#params)*

Compiled widget configuration.

___

###  showDropdown

• **showDropdown**: *BehaviorSubject‹boolean›*

___

###  showTooltip

• **showTooltip**: *BehaviorSubject‹boolean›*

___

###  tooltipText

• **tooltipText**: *string*

## Accessors

###  _

• **get _**(): *Record‹string, number›*

*Overrides [AuBaseSelectorWidget](aubaseselectorwidget.md).[_](aubaseselectorwidget.md#_)*

**Returns:** *Record‹string, number›*

## Methods

###  checkInitDependenciesWidgets

▸ **checkInitDependenciesWidgets**(): *string[]*

*Inherited from [AuBaseWidget](aubasewidget.md).[checkInitDependenciesWidgets](aubasewidget.md#checkinitdependencieswidgets)*

Returns an array of widget names, due to which the current widget cannot receive parameters.

**Returns:** *string[]*

___

###  clearSelection

▸ **clearSelection**(): *void*

*Overrides [AuBaseSelectorWidget](aubaseselectorwidget.md).[clearSelection](aubaseselectorwidget.md#abstract-clearselection)*

**Returns:** *void*

___

###  connectedCallback

▸ **connectedCallback**(): *void*

*Overrides void*

**Returns:** *void*

___

###  disconnectedCallback

▸ **disconnectedCallback**(): *void*

*Overrides void*

**Returns:** *void*

___

###  resetPreloaderState

▸ **resetPreloaderState**(): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[resetPreloaderState](aubasewidget.md#resetpreloaderstate)*

**Returns:** *void*

___

###  showPreloader

▸ **showPreloader**(`isPreload`: boolean, `message`: string | string[], `timeout`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showPreloader](aubasewidget.md#showpreloader)*

Shows a preloader.

```
"onClick": [
  "{{#function main.showPreloader(true, 'Creating print files...')}}",
  "{{#function $['editor'].getHiResImages(800,800)}}",
  "{{#function main.showPreloader(false)}}"
]
```

**Parameters:**

Name | Type | Default | Description |
------ | ------ | ------ | ------ |
`isPreload` | boolean | - | If `true`, enables the preloader. |
`message` | string &#124; string[] |  [""] | A text message that appears next to the preloader.  |
`timeout` | number | 5 | - |

**Returns:** *void*

___

###  showToast

▸ **showToast**(`data?`: string, `duration?`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showToast](aubasewidget.md#showtoast)*

Shows a toast.

```
return editor.loadUserInfo(data)
    .catch(err => {
        this.widget.showToast("Error: Invalid data");
        console.log(err);
    });
```

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`data?` | string | A string message to display in the toast. |
`duration?` | number | Defines how long to show the toast for.  |

**Returns:** *void*

___

###  updateParamsAsync

▸ **updateParamsAsync**(`params`: [IOptionConfig](../interfaces/ioptionconfig.md)): *Promise‹void›*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [IOptionConfig](../interfaces/ioptionconfig.md) |

**Returns:** *Promise‹void›*
