
# Class: AuWidgetPreflightConfig

Provides properties for the preflight widget.

For details, you can refer to the [Preflight widget](https://customerscanvas.com/dev/editors/ui-framework/widgets/preflight.html) topic.
```
{
  "widgets": [{
    "name": "preflight",
    "type": "preflight",
    "params": {
      "files": [ "http://example.com/printfiles/flyer.pdf" ],
      "config": {
        "backendUrl": "http://preflight.example.com",
        "startFromUploader": false,
        "product": {
          "dpi": 300,
          "size": {
            "width": 595,
            "height": 842
          },
          "bleed": 20,
          "safetyLines": [{
            "color": "#00ff00",
            "altColor": "#00ff00",
            "margin": 40
          }]
        },
        "rules": [
          {
            "type": "colorspace",
            "severity": "error",
            "enableFix": true,
            "params": {
              "allowedColorSpaces": [ "cmyk" ]
            }
          }
        ],
        ...
     },
     "onPageChange": [
       "{{ #function(page) page==='editor' && main.stepIndex === 0 ? main.nextStep() : ''  }}"
     ]
  }]
}
```

## Hierarchy

* **AuWidgetPreflightConfig**

## Index

### Properties

* [config](auwidgetpreflightconfig.md#config)
* [files](auwidgetpreflightconfig.md#files)
* [onError](auwidgetpreflightconfig.md#onerror)
* [onPageChange](auwidgetpreflightconfig.md#onpagechange)

## Properties

###  config

• **config**: *any*

The preflight configuration. For details, see the [Config Reference](https://customerscanvas.com/dev/preflight/reference/config.html).

___

###  files

• **files**: *string[]*

Initializes the widget with files for validation. For details, see the [F.A.Q.](https://customerscanvas.com/dev/preflight/howto/upload-files.html).

___

###  onError

• **onError**: *Function | Array‹Function›*

A function (`{{#function <expression>}}`) or an array of functions that work when errors occur in this widget.

___

###  onPageChange

• **onPageChange**: *Function | Array‹Function›*

A function (`{{#function <expression>}}`) or an array of functions that work when changing pages in this widget.
