
# Class: AuWizardConfig

Represents the configuration of a multistep editor.

## Hierarchy

* AuElement

  ↳ **AuWizardConfig**

## Index

### Properties

* [$](auwizardconfig.md#)
* [config](auwizardconfig.md#config)
* [currentDescription](auwizardconfig.md#currentdescription)
* [currentStep](auwizardconfig.md#currentstep)
* [currentTitle](auwizardconfig.md#currenttitle)
* [scope](auwizardconfig.md#scope)
* [stepIndex](auwizardconfig.md#stepindex)
* [steps](auwizardconfig.md#steps)
* [is](auwizardconfig.md#static-is)
* [template](auwizardconfig.md#static-template)

### Methods

* [connectedCallback](auwizardconfig.md#connectedcallback)
* [disconnectedCallback](auwizardconfig.md#disconnectedcallback)
* [get](auwizardconfig.md#get)
* [notifyPath](auwizardconfig.md#notifypath)
* [push](auwizardconfig.md#push)
* [ready](auwizardconfig.md#ready)
* [set](auwizardconfig.md#set)
* [splice](auwizardconfig.md#splice)
* [updateStyles](auwizardconfig.md#updatestyles)

## Properties

###  $

• **$**: *any*

*Inherited from void*

___

###  config

• **config**: *IConfig*

An editor's configuration.

___

###  currentDescription

• **currentDescription**: *string*

The description of the current step.

___

###  currentStep

• **currentStep**: *IStep*

The current step in `config.steps`.

___

###  currentTitle

• **currentTitle**: *string*

The title of the current step.

___

###  scope

• **scope**: *any* =  {} as any

The compilation scope used in configs.

___

###  stepIndex

• **stepIndex**: *number*

The current step index (starts from 0).

___

###  steps

• **steps**: *Array‹IStep›*

The `steps` defined in `config`.

___

### `Static` is

▪ **is**: *string*

*Inherited from void*

___

### `Static` template

▪ **template**: *any*

*Inherited from void*

## Methods

###  connectedCallback

▸ **connectedCallback**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  disconnectedCallback

▸ **disconnectedCallback**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  get

▸ **get**(...`args`: any[]): *any*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

**Returns:** *any*

___

###  notifyPath

▸ **notifyPath**(...`args`: any[]): *any*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

**Returns:** *any*

___

###  push

▸ **push**(...`args`: any[]): *any*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

**Returns:** *any*

___

###  ready

▸ **ready**(): *void*

*Inherited from void*

**Returns:** *void*

___

###  set

▸ **set**(...`args`: any[]): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

**Returns:** *void*

___

###  splice

▸ **splice**(...`args`: any[]): *any*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

**Returns:** *any*

___

###  updateStyles

▸ **updateStyles**(`properties`: any): *any*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`properties` | any |

**Returns:** *any*
