
# Class: CanvasItemChanges

Represents item changes of the `canvas` widget.

## Hierarchy

* **CanvasItemChanges**

## Index

### Constructors

* [constructor](canvasitemchanges.md#constructor)

### Properties

* [barcodeFormat](canvasitemchanges.md#optional-barcodeformat)
* [barcodeSubType](canvasitemchanges.md#optional-barcodesubtype)
* [color](canvasitemchanges.md#optional-color)
* [contentPermissions](canvasitemchanges.md#optional-contentpermissions)
* [effect](canvasitemchanges.md#optional-effect)
* [fillColor](canvasitemchanges.md#optional-fillcolor)
* [font](canvasitemchanges.md#optional-font)
* [image](canvasitemchanges.md#optional-image)
* [location](canvasitemchanges.md#optional-location)
* [locked](canvasitemchanges.md#optional-locked)
* [name](canvasitemchanges.md#name)
* [placeholderContent](canvasitemchanges.md#optional-placeholdercontent)
* [placeholderPermissions](canvasitemchanges.md#optional-placeholderpermissions)
* [position](canvasitemchanges.md#optional-position)
* [size](canvasitemchanges.md#optional-size)
* [tags](canvasitemchanges.md#optional-tags)
* [text](canvasitemchanges.md#optional-text)
* [type](canvasitemchanges.md#optional-type)
* [value](canvasitemchanges.md#value)
* [visualizationPermissions](canvasitemchanges.md#optional-visualizationpermissions)

## Constructors

###  constructor

\+ **new CanvasItemChanges**(`init?`: Partial‹[CanvasItemChanges](canvasitemchanges.md)›): *[CanvasItemChanges](canvasitemchanges.md)*

**Parameters:**

Name | Type |
------ | ------ |
`init?` | Partial‹[CanvasItemChanges](canvasitemchanges.md)› |

**Returns:** *[CanvasItemChanges](canvasitemchanges.md)*

## Properties

### `Optional` barcodeFormat

• **barcodeFormat**? : *string*

A barcode format for `BarcodePlaceholder`.

___

### `Optional` barcodeSubType

• **barcodeSubType**? : *string*

A barcode subtype for `BarcodePlaceholder`.

___

### `Optional` color

• **color**? : *string*

The fill color for backgrounds and shapes. This value may be the same as [fillColor](canvasitemchanges.md#optional-fillcolor) to support `oldParams`.

___

### `Optional` contentPermissions

• **contentPermissions**? : *object*

#### Type declaration:

* **imagePermissions**(): *object*

  * **allowChangeImage**: *boolean*

  * **allowEditImage**: *boolean*

___

### `Optional` effect

• **effect**? : *string*

An image effect, either `sepia` or `grayscale`.

___

### `Optional` fillColor

• **fillColor**? : *string*

The fill color for backgrounds and shapes. This value may be the same as [color](canvasitemchanges.md#optional-color) to support `oldParams`.

___

### `Optional` font

• **font**? : *object*

#### Type declaration:

* **bold**? : *boolean*

* **color**? : *string*

* **family**? : *string*

* **fauxBold**? : *boolean*

* **fauxItalic**: *boolean*

* **italic**? : *boolean*

* **leading**? : *number*

* **postScriptName**? : *string*

* **size**? : *number*

* **underline**? : *boolean*

___

### `Optional` image

• **image**? : *string*

___

### `Optional` location

• **location**? : *object*

#### Type declaration:

* **x**: *number*

* **y**: *number*

___

### `Optional` locked

• **locked**? : *boolean*

___

###  name

• **name**: *string*

___

### `Optional` placeholderContent

• **placeholderContent**? : *object*

Placeholder content data.

For details, see [PlaceholderItem](https://customerscanvas.com/dev/editors/design-atoms-js/reference/design-atoms-model/placeholderitem.html).

#### Type declaration:

* **contentAngle**: *number*

* **contentRectangle**: *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.RotatedRectangleF*

* **contentRectangleWithoutPlaceholderAngle**: *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.RotatedRectangleF*

* **dpi**: *number*

* **height**: *number*

* **originalUrl**: *string*

* **placeholderRectangle**: *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.RotatedRectangleF*

* **placeholderRectangleWithoutAngle**: *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.RotatedRectangleF*

* **width**: *number*

___

### `Optional` placeholderPermissions

• **placeholderPermissions**? : *object*

#### Type declaration:

* **allowEditContent**: *boolean*

* **showHandleButton**: *boolean*

* **showSelectButton**: *boolean*

___

### `Optional` position

• **position**? : *object*

#### Type declaration:

* **x**: *number*

* **y**: *number*

___

### `Optional` size

• **size**? : *object*

The shape size

#### Type declaration:

* **height**: *number*

* **width**: *number*

___

### `Optional` tags

• **tags**? : *object*

#### Type declaration:

* \[ **tagName**: *string*\]: any

___

### `Optional` text

• **text**? : *string*

___

### `Optional` type

• **type**? : *string*

___

###  value

• **value**: *string*

___

### `Optional` visualizationPermissions

• **visualizationPermissions**? : *object*

#### Type declaration:

* **noPrint**? : *boolean*

* **noShow**? : *boolean*
