
# Class: CanvasWidgetCommand

Represents a canvas action.

## Hierarchy

* **CanvasWidgetCommand**

  ↳ [ChangeMockupCommand](changemockupcommand.md)

  ↳ [InitialCommand](initialcommand.md)

  ↳ [ModifyItemsCommand](modifyitemscommand.md)

  ↳ [SetBackgroundCommand](setbackgroundcommand.md)

  ↳ [SetPrintAreaCommand](setprintareacommand.md)

  ↳ [SetRemoteMockupCommand](setremotemockupcommand.md)

  ↳ [SetThemeCommand](setthemecommand.md)

  ↳ [SetViewerSettings](setviewersettings.md)

  ↳ [UpdateContainerSettingsCommand](updatecontainersettingscommand.md)

## Index

### Methods

* [execute](canvaswidgetcommand.md#abstract-execute)

## Methods

### `Abstract` execute

▸ **execute**(`params`: [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md) | [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md)[], `oldParams?`: [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md) | [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md)[]): *Promise‹any›*

Executes a command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md) &#124; [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md)[] | Parameters for the command. |
`oldParams?` | [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md) &#124; [ICanvasCommandDefinition](../interfaces/icanvascommanddefinition.md)[] | The previous parameters for the command.  |

**Returns:** *Promise‹any›*
