
# Class: DesignEditorItemChanges

Represents item changes of the `design-editor` widget.

## Hierarchy

* **DesignEditorItemChanges**

## Index

### Constructors

* [constructor](designeditoritemchanges.md#constructor)

### Properties

* [barcodeFormat](designeditoritemchanges.md#optional-barcodeformat)
* [barcodeSubType](designeditoritemchanges.md#optional-barcodesubtype)
* [color](designeditoritemchanges.md#optional-color)
* [contentPermissions](designeditoritemchanges.md#optional-contentpermissions)
* [effect](designeditoritemchanges.md#optional-effect)
* [fillColor](designeditoritemchanges.md#optional-fillcolor)
* [fillColorHex](designeditoritemchanges.md#optional-fillcolorhex)
* [font](designeditoritemchanges.md#optional-font)
* [image](designeditoritemchanges.md#optional-image)
* [location](designeditoritemchanges.md#optional-location)
* [locked](designeditoritemchanges.md#optional-locked)
* [name](designeditoritemchanges.md#name)
* [placeholderContent](designeditoritemchanges.md#optional-placeholdercontent)
* [placeholderPermissions](designeditoritemchanges.md#optional-placeholderpermissions)
* [position](designeditoritemchanges.md#optional-position)
* [size](designeditoritemchanges.md#optional-size)
* [tags](designeditoritemchanges.md#optional-tags)
* [text](designeditoritemchanges.md#optional-text)
* [type](designeditoritemchanges.md#optional-type)
* [value](designeditoritemchanges.md#value)
* [visualizationPermissions](designeditoritemchanges.md#optional-visualizationpermissions)

## Constructors

###  constructor

\+ **new DesignEditorItemChanges**(`init?`: Partial‹[DesignEditorItemChanges](designeditoritemchanges.md)›): *[DesignEditorItemChanges](designeditoritemchanges.md)*

**Parameters:**

Name | Type |
------ | ------ |
`init?` | Partial‹[DesignEditorItemChanges](designeditoritemchanges.md)› |

**Returns:** *[DesignEditorItemChanges](designeditoritemchanges.md)*

## Properties

### `Optional` barcodeFormat

• **barcodeFormat**? : *string*

A barcode format for `BarcodePlaceholder`.

___

### `Optional` barcodeSubType

• **barcodeSubType**? : *string*

A barcode subtype for `BarcodePlaceholder`.

___

### `Optional` color

• **color**? : *string*

The fill color for backgrounds and shapes. This value may be the same as [fillColor](designeditoritemchanges.md#optional-fillcolor) to support `oldParams`.

___

### `Optional` contentPermissions

• **contentPermissions**? : *object*

#### Type declaration:

* **imagePermissions**(): *object*

  * **allowChangeImage**: *boolean*

  * **allowEditImage**: *boolean*

___

### `Optional` effect

• **effect**? : *string*

An image effect, either `sepia` or `grayscale`.

___

### `Optional` fillColor

• **fillColor**? : *string*

The fill color for backgrounds and shapes. This value may be the same as [color](designeditoritemchanges.md#optional-color) to support `oldParams`.

___

### `Optional` fillColorHex

• **fillColorHex**? : *string*

The fill color for backgrounds and shapes in HEX representation. This value may be the same as [color](designeditoritemchanges.md#optional-color) to support `oldParams`.

___

### `Optional` font

• **font**? : *object*

#### Type declaration:

* **bold**? : *boolean*

* **color**? : *string*

* **family**? : *string*

* **fauxBold**? : *boolean*

* **fauxItalic**: *boolean*

* **italic**? : *boolean*

* **postScriptName**? : *string*

* **size**? : *number*

* **underline**? : *boolean*

___

### `Optional` image

• **image**? : *string*

___

### `Optional` location

• **location**? : *object*

#### Type declaration:

* **x**: *number*

* **y**: *number*

___

### `Optional` locked

• **locked**? : *boolean*

___

###  name

• **name**: *string*

The item name.

___

### `Optional` placeholderContent

• **placeholderContent**? : *object*

Placeholder content data.

For details, see [PlaceholderItem](https://customerscanvas.com/dev/editors/design-atoms-js/reference/design-atoms-model/placeholderitem.html).

#### Type declaration:

* **contentRectangle**: *RotatedRectangleF*

* **contentResizeMode**: *string*

* **contentTransform**(): *object*

  * **angle**: *number*

  * **scaleX**: *number*

  * **scaleY**: *number*

  * **translateX**: *number*

  * **translateY**: *number*

* **dpi**: *number*

* **height**: *number*

* **originalUrl**: *string*

* **placeholderRectangle**: *RotatedRectangleF*

* **width**: *number*

___

### `Optional` placeholderPermissions

• **placeholderPermissions**? : *object*

#### Type declaration:

* **allowEditContent**: *boolean*

* **showHandleButton**: *boolean*

* **showSelectButton**: *boolean*

___

### `Optional` position

• **position**? : *object*

#### Type declaration:

* **x**: *number*

* **y**: *number*

___

### `Optional` size

• **size**? : *object*

The shape size

#### Type declaration:

* **height**: *number*

* **width**: *number*

___

### `Optional` tags

• **tags**? : *object*

#### Type declaration:

* \[ **tagName**: *string*\]: any

___

### `Optional` text

• **text**? : *string*

___

### `Optional` type

• **type**? : *string*

The item type.

___

###  value

• **value**: *string*

A new value of the item.

___

### `Optional` visualizationPermissions

• **visualizationPermissions**? : *object*

#### Type declaration:

* **noPrint**? : *boolean*

* **noShow**? : *boolean*
