
# Class: ResizeItemsCommand

A command that resizes the whole product or only predefined items.

For details, you can refer to the [IDesignEditorDefinitionResizeItems](../interfaces/idesigneditordefinitionresizeitems.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "resize": {
       "resizeParams": {
         "targetType": "product",
         "width": "1000",
         "height": "1000",
         "defaultOptions": {
            "resize": 0, // available resize modes: Fit (0, default), Fill (1), Arbitrary (2), Original (3)
            "resetPlaceholderContent": false
          },
          "containerOptions": {
            "Background": {
             "resize": 2, // available resize modes: Fit (0, default), Fill (1), Arbitrary (2), Original (3)
              "resetPlaceholderContent": true
            }
          }
        }
       }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **ResizeItemsCommand**

## Index

### Methods

* [execute](resizeitemscommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IDesignEditorDefinitionResizeItems](../interfaces/idesigneditordefinitionresizeitems.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDesignEditorDefinitionResizeItems](../interfaces/idesigneditordefinitionresizeitems.md) | Parameters for the command.  |

**Returns:** *Promise‹void›*
