
# Class: UpdateContainerSettingsCommand

A command that updates channel containers with new parameters.
A command that updates channel containers with new parameters.

For details, see the [IChannelContainerDefinition](https://customerscanvas.com/dev/editors/iframe-api/reference/design-editor-iframe/ichannelcontainerdefinition.html) topic.
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "updateContainerSettings": [
      {
        "Foil": {
          "texture": "{{ $['foil']._.props.texture }}"
        },
        "Raised Ink": {
          "texture": "{{ $['paper']._.props.textColor }}"
        }
      }
    ]
  }
}
```

For details, see the [IChannelContainerDefinition](https://customerscanvas.com/dev/editors/iframe-api/reference/design-editor-iframe/ichannelcontainerdefinition.html) topic.
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "updateContainerSettings": [
      {
        "Foil": {
          "texture": "{{ $['foil']._.props.texture }}"
        },
        "Raised Ink": {
          "texture": "{{ $['paper']._.props.textColor }}"
        }
      }
    ]
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

* [CanvasWidgetCommand](canvaswidgetcommand.md)

  ↳ **UpdateContainerSettingsCommand**

## Index

### Methods

* [execute](updatecontainersettingscommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: kvObject‹string, IChannelContainerDefinition›[], `oldParams`: kvObject‹string, IChannelContainerDefinition›[]): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | kvObject‹string, IChannelContainerDefinition›[] | Parameters for the command.  |
`oldParams` | kvObject‹string, IChannelContainerDefinition›[] | - |

**Returns:** *Promise‹void›*
