
# Interface: AuWidgetGroupParam

Provides properties of the `group` widget.

You can use these properties in **params** of the [AuWidgetGroup](../classes/auwidgetgroup.md) class.
```
{
  "widgets": [
    {
      "name": "option-list",
      "type": "group",
      "params": {
        "type": "noncollapsible",
        "tabs": [
          {
            "widgets": [
              {
                "title": "Corner Type",
                "name": "corners",
                "type": "option",
                "params": { ... }
              },
              {
                "title": "Lamination",
                "name": "lamination",
                "type": "option",
                "params": { ... }
              }
            ]
          }
        ]
      }
    }
  ]
}
```

## Hierarchy

* **AuWidgetGroupParam**

## Index

### Properties

* [accordion](auwidgetgroupparam.md#accordion)
* [scrollable](auwidgetgroupparam.md#optional-scrollable)
* [showCustomScroll](auwidgetgroupparam.md#showcustomscroll)
* [tabs](auwidgetgroupparam.md#tabs)
* [type](auwidgetgroupparam.md#type)
* [unifySelection](auwidgetgroupparam.md#unifyselection)

## Properties

###  accordion

• **accordion**: *boolean*

If `true`, collapses the group.

___

### `Optional` scrollable

• **scrollable**? : *boolean*

___

###  showCustomScroll

• **showCustomScroll**: *boolean*

___

###  tabs

• **tabs**: *[Tab](tab.md)[]*

An array of tabs.

___

###  type

• **type**: *[GroupWidgetType](../enums/groupwidgettype.md)*

A group type (`vtab`, `htab`, `collapsible` (accordion), or `noncollapsible`).

___

###  unifySelection

• **unifySelection**: *boolean*
