
# Interface: I3DItem

Provides properties that are used to visualize 3D models.
Provides properties that are used to visualize 3D models.

For more details, you can refer to the [3D-Viewer widget](../classes/auwidget3dviewer.md).

The following example illustrates how you can specify a two-sided model in the `3D-Viewer` widget.
```
{
    "widgets": [{
        "name": "preview",
        "type": "3d-viewer",
        "params": {
            "items": [{
                "images": [
                    "https://example.com/800/600",
                    "https://example.com/1000/601"
                ],
                "model": "http://localhost:8081/box.dae"
            }]
        }
    }]
}
```

For more details, you can refer to the [3D-Viewer widget](../classes/auwidget3dviewer.md).

The following example illustrates how you can specify a two-sided model in the `3D-Viewer` widget.
```
{
    "widgets": [{
        "name": "preview",
        "type": "3d-viewer",
        "params": {
            "items": [{
                "images": [
                    "https://example.com/800/600",
                    "https://example.com/1000/601"
                ],
                "model": "http://localhost:8081/box.dae"
            }]
        }
    }]
}
```

## Hierarchy

* **I3DItem**

## Index

### Properties

* [animation](i3ditem.md#optional-animation)
* [images](i3ditem.md#images)
* [isPrivateMockup](i3ditem.md#isprivatemockup)
* [model](i3ditem.md#model)
* [position](i3ditem.md#optional-position)

## Properties

### `Optional` animation

• **animation**? : *string*

Animation of elements (an autogenerated property of a model).
Animation of elements (an autogenerated property of a model).

___

###  images

• **images**: *string[]*

Images that are applied to the model as textures. For two-side models, the first image will be applied to the front surface and the second image - to the back surface.
Images that are applied to the model as textures. For two-side models, the first image will be applied to the front surface and the second image - to the back surface.

___

###  isPrivateMockup

• **isPrivateMockup**: *boolean*

Toggler for private/public 3d mockups.

___

###  model

• **model**: *string*

A link to a `.dae` file.
A `.dae` file id.

___

### `Optional` position

• **position**? : *string*

A position of the element (an autogenerated property of a model).
A position of the element (an autogenerated property of a model).
