
# Interface: IAuWidgetFinishGroupConfig

## Hierarchy

* **IAuWidgetFinishGroupConfig**

## Index

### Properties

* [buttonClassStyle](iauwidgetfinishgroupconfig.md#buttonclassstyle)
* [buttonText](iauwidgetfinishgroupconfig.md#buttontext)
* [buttonVisible](iauwidgetfinishgroupconfig.md#optional-buttonvisible)
* [checkboxEnabled](iauwidgetfinishgroupconfig.md#optional-checkboxenabled)
* [checkboxPrompt](iauwidgetfinishgroupconfig.md#checkboxprompt)
* [checkboxVisible](iauwidgetfinishgroupconfig.md#optional-checkboxvisible)
* [downloadEnable](iauwidgetfinishgroupconfig.md#downloadenable)
* [downloadPosition](iauwidgetfinishgroupconfig.md#downloadposition)
* [downloadText](iauwidgetfinishgroupconfig.md#downloadtext)
* [downloadVisible](iauwidgetfinishgroupconfig.md#downloadvisible)
* [downloads](iauwidgetfinishgroupconfig.md#downloads)
* [onClick](iauwidgetfinishgroupconfig.md#onclick)
* [value](iauwidgetfinishgroupconfig.md#value)

## Properties

###  buttonClassStyle

• **buttonClassStyle**: *string*

The button style. The following styles are available: `primary`, `success`, `warning`, and `danger`.

___

###  buttonText

• **buttonText**: *string*

The button caption.

___

### `Optional` buttonVisible

• **buttonVisible**? : *boolean*

If `true`, displays the button.

___

### `Optional` checkboxEnabled

• **checkboxEnabled**? : *boolean*

If `true`, enable the checkbox.

___

###  checkboxPrompt

• **checkboxPrompt**: *string*

A text message associated with the checkbox.

___

### `Optional` checkboxVisible

• **checkboxVisible**? : *boolean*

If `true`, displays the checkbox.

___

###  downloadEnable

• **downloadEnable**: *boolean*

Enables the **Download** button.

___

###  downloadPosition

• **downloadPosition**: *[DownloadPosition](../README.md#downloadposition)*

The position of the **Download** button, either `left` or `right`.

___

###  downloadText

• **downloadText**: *string*

The caption of the **Download** button.

___

###  downloadVisible

• **downloadVisible**: *boolean*

Displays the **Download** button.

___

###  downloads

• **downloads**: *[DownloadingModel](../classes/downloadingmodel.md)[] | Function[]*

URLs for downloading.
 if this if Function[], the latest function should return array of objects:
 [{url: string, filename: string, newTab: boolean = false}]

___

###  onClick

• **onClick**: *Function | Array‹Function›*

A single function or an array of functions that will be executed when the button is clicked.

___

###  value

• **value**: *boolean*

This value is `true` if the checkbox is selected.
