
# Interface: ICanvasDefinitionInitial

Provides properties to initialize a product in the editor.

For details, you can refer to the [Initial command](https://customerscanvas.com/dev/editors/ui-framework/widgets/design-editor-commands/initial.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setViewerSettings": {
      "zoom": 0.1,
      "zoomMode": 'bestFit',
      "scrollPosition": {x: 0, y: 0}
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionInitial**

## Index

### Properties

* [after](icanvasdefinitioninitial.md#optional-after)
* [editorConfig](icanvasdefinitioninitial.md#editorconfig)
* [galleryObserverEnable](icanvasdefinitioninitial.md#optional-galleryobserverenable)
* [maximizeAssetManager](icanvasdefinitioninitial.md#optional-maximizeassetmanager)
* [productDefinition](icanvasdefinitioninitial.md#productdefinition)
* [viewerSettings](icanvasdefinitioninitial.md#optional-viewersettings)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

###  editorConfig

• **editorConfig**: *CustomersCanvas.IframeApi.Configuration.IConfiguration*

The configuration of the editor.

___

### `Optional` galleryObserverEnable

• **galleryObserverEnable**? : *boolean*

_Obsolete, use [maximizeAssetManager](icanvasdefinitioninitial.md#optional-maximizeassetmanager) instead_. If `true`, hides all panels and only displays the Asset Manager.

___

### `Optional` maximizeAssetManager

• **maximizeAssetManager**? : *boolean*

If `true`, opens the Asset Manager in the full-window mode.

___

###  productDefinition

• **productDefinition**: *CustomersCanvas.IframeApi.ObjectModel.IProductDefinition*

PSD/IDML templates to open. For details, see the [topic about defining products](https://customerscanvas.com/dev/editors/iframe-api/product-definition/multiple-pages.html).

___

### `Optional` viewerSettings

• **viewerSettings**? : *[ICanvasDefinitionSetViewerSettings](icanvasdefinitionsetviewersettings.md)*

Canvas zoom properties.
