
# Interface: ICanvasDefinitionParams

Provides commands used in the `canvas` widget.

## Hierarchy

* **ICanvasDefinitionParams**

## Index

### Properties

* [actionsErrorToast](icanvasdefinitionparams.md#actionserrortoast)
* [changeLayout](icanvasdefinitionparams.md#optional-changelayout)
* [changeMockup](icanvasdefinitionparams.md#optional-changemockup)
* [initial](icanvasdefinitionparams.md#optional-initial)
* [modifyItems](icanvasdefinitionparams.md#optional-modifyitems)
* [onChange](icanvasdefinitionparams.md#optional-onchange)
* [preloader](icanvasdefinitionparams.md#optional-preloader)
* [replaceInterpolationPlaceholders](icanvasdefinitionparams.md#optional-replaceinterpolationplaceholders)
* [setBackground](icanvasdefinitionparams.md#optional-setbackground)
* [setPrintArea](icanvasdefinitionparams.md#optional-setprintarea)
* [setRemoteMockup](icanvasdefinitionparams.md#optional-setremotemockup)
* [setTheme](icanvasdefinitionparams.md#optional-settheme)
* [setViewerSettings](icanvasdefinitionparams.md#optional-setviewersettings)

## Properties

###  actionsErrorToast

• **actionsErrorToast**: *[ActionsErrorToastConfig](../classes/actionserrortoastconfig.md)*

Enables a toast to display errors.

___

### `Optional` changeLayout

• **changeLayout**? : *[ICanvasDefinitionChangeLayout](icanvasdefinitionchangelayout.md)*

Replaces design elements.

___

### `Optional` changeMockup

• **changeMockup**? : *[ICanvasDefinitionChangeMockup](icanvasdefinitionchangemockup.md)*

Changes mockup images in the editor. This command uses images from the Customer's Canvas back end.

___

### `Optional` initial

• **initial**? : *[ICanvasDefinitionInitial](icanvasdefinitioninitial.md)*

Initializes the editor.

___

### `Optional` modifyItems

• **modifyItems**? : *[ICanvasDefinitionModifyItems](icanvasdefinitionmodifyitems.md)*

Changes properties of design elements in the editor.

___

### `Optional` onChange

• **onChange**? : *Function*

Runs a command when a value changes.

___

### `Optional` preloader

• **preloader**? : *[ICanvasPreloaderConfig](icanvaspreloaderconfig.md)*

preloader messages for initial loading and actions executing

___

### `Optional` replaceInterpolationPlaceholders

• **replaceInterpolationPlaceholders**? : *boolean*

If `true`, executes the replaceInterloationPlaceholders() method after initialization
to convert interpolation placeholders to in-string placeholders.

___

### `Optional` setBackground

• **setBackground**? : *[ICanvasDefinitionSetBackground](icanvasdefinitionsetbackground.md)*

Sets a new background image.

___

### `Optional` setPrintArea

• **setPrintArea**? : *[ICanvasDefinitionSetPrintArea](icanvasdefinitionsetprintarea.md)*

Applies a new print area definition to the product.

___

### `Optional` setRemoteMockup

• **setRemoteMockup**? : *[ISetRemoteMockupParams](../README.md#isetremotemockupparams)*

Changes mockup images in the editor. This command uses remote images through URLs.

___

### `Optional` setTheme

• **setTheme**? : *[ICanvasDefinitionSetTheme](icanvasdefinitionsettheme.md)*

Applies a product theme.

___

### `Optional` setViewerSettings

• **setViewerSettings**? : *[ICanvasDefinitionSetViewerSettings](icanvasdefinitionsetviewersettings.md)*

Changes product zoom properties in the editor.
