
# Interface: ICanvasDefinitionSetViewerSettings

Provides properties to define the canvas zoom.

```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setViewerSettings": {
      "zoom": 0.1,
      "zoomMode": 'bestFit',
      "scrollPosition": {x: 0, y: 0}
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionSetViewerSettings**

## Index

### Properties

* [after](icanvasdefinitionsetviewersettings.md#optional-after)
* [scrollPosition](icanvasdefinitionsetviewersettings.md#optional-scrollposition)
* [zoom](icanvasdefinitionsetviewersettings.md#optional-zoom)
* [zoomMode](icanvasdefinitionsetviewersettings.md#optional-zoommode)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` scrollPosition

• **scrollPosition**? : *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.PointF*

X and Y coordinates of the visible area.

___

### `Optional` zoom

• **zoom**? : *number*

The zoom level (`1` stands for 100%).

___

### `Optional` zoomMode

• **zoomMode**? : *string*

`none`, `bestFit`, `bestFitShrinkOnly`, `fitToWidth`, `fitToHeight`, `zoomControl`, `fitToWidthShrinkOnly`, `fitToHeightShrinkOnly`
