
# Interface: ICartConfig

Provides items for a [cart](../classes/auwidgetcart.md).

The following example illustrates how you can define carts.
```
{
  "widgets": [{
    "name": "cart",
    "type": "cart",
    "params": {
      "lineItems": [
        {
          "productIndex": 0,
          "images": "{{ getOrDefault(\" $['cc'].proofImageUrls.map(item=>item[0])\",[]) }}",
          "downloadUrls": "{{ getOrDefault(\" $['cc'].hiResUrls \",[]) }}",
          "data": {
            "stateId": "{{ getOrDefault(\" $['cc'].stateId \",'') }}",
            "orderUrl": "{{ getOrDefault(\" settings.customersCanvasBaseUrl.toLowerCase().split('users')[0] + '/orders/DepositPhotos?userId=' + $['cc'].userId + '&stateId=' + $['cc'].stateId\",'') }}"
          }
        }
      ]
    }
  }]
}
```

## Hierarchy

* **ICartConfig**

## Index

### Properties

* [lineItems](icartconfig.md#lineitems)

## Properties

###  lineItems

• **lineItems**: *[ILineItem](ilineitem.md)[]*

An array of orders that represents a cart.
