
# Interface: IColorSelectorConfig

Provides properties for a [color selector](../classes/auwidgetcolorselector.md).

## Hierarchy

* **IColorSelectorConfig**

## Index

### Properties

* [colors](icolorselectorconfig.md#colors)
* [onChange](icolorselectorconfig.md#optional-onchange)
* [popupText](icolorselectorconfig.md#popuptext)
* [svg](icolorselectorconfig.md#optional-svg)
* [text](icolorselectorconfig.md#text)
* [value](icolorselectorconfig.md#value)

## Properties

###  colors

• **colors**: *Array‹IColor›*

An array of colors available for user selection by the user.

___

### `Optional` onChange

• **onChange**? : *Function | Array‹Function›*

A function (`"{{#function <expression>}}"`) or an array of functions. This event triggers when the user selects a color set.

___

###  popupText

• **popupText**: *string*

A text hint in the pop-up box.

___

### `Optional` svg

• **svg**? : *string*

A custom inline SVG string in which you must refer to `currentColor`.

For example, `"<svg viewBox='0 0 20 20'><path d='m5 5h10v10h-10z'
fill='currentColor'/></svg>"`.

The `currentColor` corresponds to the first color in the array, and the
second color fills the background.

___

###  text

• **text**: *string*

The widget caption.

___

###  value

• **value**: *any*

The preview of the selected color.
