
# Interface: IConfiglResizeArgs

Provides parameters to resize the whole product or some items.

For details, you can refer to the [docs](https://customerscanvas.com/dev/editors/iframe-api/howto/resizing-designs.html).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "resize": {
        "resizeParams": {
          "targetType": "items",
          "targets": [ "itemName1", "itemName2" ],
          "width": "60%",
          "height": "60%",
          "defaultOptions": {
            "resize": 0, // available resize modes: Fit (0, default), Fill (1), Arbitrary (2), Original (3)
            "resetPlaceholderContent": false
          },
          "containerOptions": {
            "Background": {
              "resize": 2, // available resize modes: Fit (0, default), Fill (1), Arbitrary (2), Original (3)
              "resetPlaceholderContent": true
            }
          }
        }
      }
  }
}
```

## Hierarchy

* **IConfiglResizeArgs**

## Index

### Properties

* [containerOptions](iconfiglresizeargs.md#optional-containeroptions)
* [defaultOptions](iconfiglresizeargs.md#optional-defaultoptions)
* [height](iconfiglresizeargs.md#height)
* [targetType](iconfiglresizeargs.md#targettype)
* [targets](iconfiglresizeargs.md#targets)
* [width](iconfiglresizeargs.md#width)

## Properties

### `Optional` containerOptions

• **containerOptions**? : *object*

#### Type declaration:

* \[ **key**: *string*\]: IContainerResizeOptions

___

### `Optional` defaultOptions

• **defaultOptions**? : *IContainerResizeOptions*

___

###  height

• **height**: *number | string*

___

###  targetType

• **targetType**: *"product" | "surfaces" | "items" | "printArea"*

___

###  targets

• **targets**: *string[]*

___

###  width

• **width**: *number | string*
