
# Interface: IDesignEditorDefinitionParams

Provides commands used in the `design-editor` widget.

## Hierarchy

* **IDesignEditorDefinitionParams**

## Index

### Properties

* [actionsErrorToast](idesigneditordefinitionparams.md#actionserrortoast)
* [changeDesignVariant](idesigneditordefinitionparams.md#optional-changedesignvariant)
* [changeLayout](idesigneditordefinitionparams.md#optional-changelayout)
* [changeMockup](idesigneditordefinitionparams.md#optional-changemockup)
* [initial](idesigneditordefinitionparams.md#optional-initial)
* [modifyItems](idesigneditordefinitionparams.md#optional-modifyitems)
* [preloader](idesigneditordefinitionparams.md#optional-preloader)
* [replaceInterpolationPlaceholders](idesigneditordefinitionparams.md#optional-replaceinterpolationplaceholders)
* [setBackground](idesigneditordefinitionparams.md#optional-setbackground)
* [setPrintArea](idesigneditordefinitionparams.md#optional-setprintarea)
* [setRemoteMockup](idesigneditordefinitionparams.md#optional-setremotemockup)
* [setSerializedProduct](idesigneditordefinitionparams.md#optional-setserializedproduct)
* [setTheme](idesigneditordefinitionparams.md#optional-settheme)
* [setViewerSettings](idesigneditordefinitionparams.md#optional-setviewersettings)
* [updateItems](idesigneditordefinitionparams.md#optional-updateitems)

## Properties

###  actionsErrorToast

• **actionsErrorToast**: *ActionsErrorToastConfig*

Enables a toast to display errors.

___

### `Optional` changeDesignVariant

• **changeDesignVariant**? : *[IChangeDesignVariantCommandDefinition](ichangedesignvariantcommanddefinition.md)*

A command that changes product design variants.

___

### `Optional` changeLayout

• **changeLayout**? : *[IDesignEditorDefinitionChangeLayout](idesigneditordefinitionchangelayout.md)*

Replaces design elements.

___

### `Optional` changeMockup

• **changeMockup**? : *[IDesignEditorDefinitionChangeMockup](idesigneditordefinitionchangemockup.md)*

Changes mockup images in the editor. This command uses images from the Customer's Canvas back end.

___

### `Optional` initial

• **initial**? : *[IDesignEditorDefinitionInitial](idesigneditordefinitioninitial.md)*

Initializes the editor.

___

### `Optional` modifyItems

• **modifyItems**? : *[IDesignEditorDefinitionModifyItems](idesigneditordefinitionmodifyitems.md)*

Changes properties of design elements in the editor.

___

### `Optional` preloader

• **preloader**? : *[IDesignEditorPreloaderConfig](idesigneditorpreloaderconfig.md)*

preloader messages for initial loading and actions executing

___

### `Optional` replaceInterpolationPlaceholders

• **replaceInterpolationPlaceholders**? : *boolean*

If `true`, executes the replaceInterloationPlaceholders() method after initialization
to convert interpolation placeholders to in-string placeholders.

___

### `Optional` setBackground

• **setBackground**? : *[IDesignEditorDefinitionSetBackground](idesigneditordefinitionsetbackground.md)*

Sets a new background image.

___

### `Optional` setPrintArea

• **setPrintArea**? : *[IDesignEditorDefinitionSetPrintArea](idesigneditordefinitionsetprintarea.md)*

Applies a new print area definition to the product.

___

### `Optional` setRemoteMockup

• **setRemoteMockup**? : *[ISetRemoteMockupParams](../README.md#isetremotemockupparams)*

Changes mockup images in the editor. This command uses remote images through URLs.

___

### `Optional` setSerializedProduct

• **setSerializedProduct**? : *[ISetSerializedProductConfig](isetserializedproductconfig.md)*

___

### `Optional` setTheme

• **setTheme**? : *[IDesignEditorDefinitionSetTheme](idesigneditordefinitionsettheme.md)*

Applies a product theme.

___

### `Optional` setViewerSettings

• **setViewerSettings**? : *[IDesignEditorDefinitionSetViewerSettings](idesigneditordefinitionsetviewersettings.md)*

Changes product zoom properties in the editor.

___

### `Optional` updateItems

• **updateItems**? : *[IUpdateItemsCommandDefinition](iupdateitemscommanddefinition.md)*

Updates design elements.
