
# Interface: IDesignEditorDefinitionSetBackground

Provides properties to set a design background.

For details, you can refer to the [SetBackground command](https://customerscanvas.com/dev/editors/ui-framework/widgets/design-editor-commands/set-background.html).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setBackground": {
      "url": "public:bg_123.pdf"
    }
  }
}
```

## Hierarchy

* [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md)

  ↳ **IDesignEditorDefinitionSetBackground**

## Index

### Properties

* [after](idesigneditordefinitionsetbackground.md#optional-after)
* [autoCompile](idesigneditordefinitionsetbackground.md#optional-autocompile)
* [autoResize](idesigneditordefinitionsetbackground.md#optional-autoresize)
* [executeOnce](idesigneditordefinitionsetbackground.md#optional-executeonce)
* [executeOnlyAfter](idesigneditordefinitionsetbackground.md#optional-executeonlyafter)
* [lock](idesigneditordefinitionsetbackground.md#optional-lock)
* [message](idesigneditordefinitionsetbackground.md#optional-message)
* [onExecuted](idesigneditordefinitionsetbackground.md#optional-onexecuted)
* [showPreloader](idesigneditordefinitionsetbackground.md#optional-showpreloader)
* [surfaceIndex](idesigneditordefinitionsetbackground.md#optional-surfaceindex)
* [timeout](idesigneditordefinitionsetbackground.md#optional-timeout)
* [toTile](idesigneditordefinitionsetbackground.md#optional-totile)
* [url](idesigneditordefinitionsetbackground.md#url)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[after](idesigneditorcommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` autoCompile

• **autoCompile**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[autoCompile](idesigneditorcommanddefinition.md#optional-autocompile)*

If `false`, action will never execute automatically.

___

### `Optional` autoResize

• **autoResize**? : *boolean*

If `true`, resizes the background image to fill the entire product.

___

### `Optional` executeOnce

• **executeOnce**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnce](idesigneditorcommanddefinition.md#optional-executeonce)*

If `true`, this command will be executed only once.
You can use it for `initial` command.
For example, we need to change surface depending on the option value.
We write for `initial` and for `updateSurfaces` the same productDefinition with $['option]._
And set `executeOnce = true` for `initial`. And initial will be executed only once.

___

### `Optional` executeOnlyAfter

• **executeOnlyAfter**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnlyAfter](idesigneditorcommanddefinition.md#optional-executeonlyafter)*

Current command will be executed in a next update only after all commands executed in this param.
The same example from `executeOnce` param.
We need to execute `updateSurface` on all next updates, exclude the first one.
And we set `executeOnlyAfter = ['initial']` for `updateSurface` command.

___

### `Optional` lock

• **lock**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[lock](idesigneditorcommanddefinition.md#optional-lock)*

Name of widgets that show preloader when command executed.

___

### `Optional` message

• **message**? : *string | string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[message](idesigneditorcommanddefinition.md#optional-message)*

The message for preloader.

___

### `Optional` onExecuted

• **onExecuted**? : *Function | Function[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[onExecuted](idesigneditorcommanddefinition.md#optional-onexecuted)*

Functions that executed after command

___

### `Optional` showPreloader

• **showPreloader**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[showPreloader](idesigneditorcommanddefinition.md#optional-showpreloader)*

If `true`, displays the preloader while executing this command.

___

### `Optional` surfaceIndex

• **surfaceIndex**? : *number*

The index of a surface that should be modified (the current surface if omitted).

___

### `Optional` timeout

• **timeout**? : *number*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[timeout](idesigneditorcommanddefinition.md#optional-timeout)*

The timeout for switching preloader messages.

___

### `Optional` toTile

• **toTile**? : *boolean*

If `true`, the background image tiles the entire product.

___

###  url

• **url**: *string*

A URL to the image or a path in Customer's Canvas public gallery.
