
# Interface: IDesignEditorDefinitionSetViewerSettings

Provides properties to define the canvas zoom.

```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setViewerSettings": {
      "zoom": 0.1,
      "zoomMode": 'bestFit',
      "scrollPosition": {x: 0, y: 0}
    }
  }
}
```

## Hierarchy

* [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md)

  ↳ **IDesignEditorDefinitionSetViewerSettings**

## Index

### Properties

* [after](idesigneditordefinitionsetviewersettings.md#optional-after)
* [autoCompile](idesigneditordefinitionsetviewersettings.md#optional-autocompile)
* [executeOnce](idesigneditordefinitionsetviewersettings.md#optional-executeonce)
* [executeOnlyAfter](idesigneditordefinitionsetviewersettings.md#optional-executeonlyafter)
* [lock](idesigneditordefinitionsetviewersettings.md#optional-lock)
* [message](idesigneditordefinitionsetviewersettings.md#optional-message)
* [onExecuted](idesigneditordefinitionsetviewersettings.md#optional-onexecuted)
* [scrollPosition](idesigneditordefinitionsetviewersettings.md#optional-scrollposition)
* [showPreloader](idesigneditordefinitionsetviewersettings.md#optional-showpreloader)
* [timeout](idesigneditordefinitionsetviewersettings.md#optional-timeout)
* [zoom](idesigneditordefinitionsetviewersettings.md#optional-zoom)
* [zoomMode](idesigneditordefinitionsetviewersettings.md#optional-zoommode)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[after](idesigneditorcommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` autoCompile

• **autoCompile**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[autoCompile](idesigneditorcommanddefinition.md#optional-autocompile)*

If `false`, action will never execute automatically.

___

### `Optional` executeOnce

• **executeOnce**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnce](idesigneditorcommanddefinition.md#optional-executeonce)*

If `true`, this command will be executed only once.
You can use it for `initial` command.
For example, we need to change surface depending on the option value.
We write for `initial` and for `updateSurfaces` the same productDefinition with $['option]._
And set `executeOnce = true` for `initial`. And initial will be executed only once.

___

### `Optional` executeOnlyAfter

• **executeOnlyAfter**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnlyAfter](idesigneditorcommanddefinition.md#optional-executeonlyafter)*

Current command will be executed in a next update only after all commands executed in this param.
The same example from `executeOnce` param.
We need to execute `updateSurface` on all next updates, exclude the first one.
And we set `executeOnlyAfter = ['initial']` for `updateSurface` command.

___

### `Optional` lock

• **lock**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[lock](idesigneditorcommanddefinition.md#optional-lock)*

Name of widgets that show preloader when command executed.

___

### `Optional` message

• **message**? : *string | string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[message](idesigneditorcommanddefinition.md#optional-message)*

The message for preloader.

___

### `Optional` onExecuted

• **onExecuted**? : *Function | Function[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[onExecuted](idesigneditorcommanddefinition.md#optional-onexecuted)*

Functions that executed after command

___

### `Optional` scrollPosition

• **scrollPosition**? : *Aurigma.GraphicsMill.AjaxControls.VectorObjects.Math.PointF*

X and Y coordinates of the visible area.

___

### `Optional` showPreloader

• **showPreloader**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[showPreloader](idesigneditorcommanddefinition.md#optional-showpreloader)*

If `true`, displays the preloader while executing this command.

___

### `Optional` timeout

• **timeout**? : *number*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[timeout](idesigneditorcommanddefinition.md#optional-timeout)*

The timeout for switching preloader messages.

___

### `Optional` zoom

• **zoom**? : *number*

The zoom level (`1` stands for 100%).

___

### `Optional` zoomMode

• **zoomMode**? : *string*

`none`, `bestFit`, `bestFitShrinkOnly`, `fitToWidth`, `fitToHeight`, `zoomControl`, `fitToWidthShrinkOnly`, `fitToHeightShrinkOnly`
