
# Interface: IGalleryConfig

Provides gallery properties.

You can use these properties in **params** of the [AuWidgetGallery](../classes/auwidgetgallery.md) class.
```
{
  "widgets": [
    {
      "name": "bg-request",
      "type": "ajax",
      "params": {
        "url": "http://example.com/api/backgrounds/christmas",
        "method": "GET"
      }
    },
    {
      "name": "bg-gallery",
      "type": "gallery",
      "params": {
        "prompt": "Choose a background",
        "items": "{{$['bg-request'].response}}"
      }
    }
  ]
}
```

## Hierarchy

* **IGalleryConfig**

## Index

### Properties

* [applyEmptyValues](igalleryconfig.md#applyemptyvalues)
* [description](igalleryconfig.md#optional-description)
* [emptyValuesText](igalleryconfig.md#emptyvaluestext)
* [endpoint](igalleryconfig.md#optional-endpoint)
* [forceSelection](igalleryconfig.md#optional-forceselection)
* [headers](igalleryconfig.md#optional-headers)
* [itemWidth](igalleryconfig.md#optional-itemwidth)
* [items](igalleryconfig.md#optional-items)
* [itemsExpression](igalleryconfig.md#optional-itemsexpression)
* [method](igalleryconfig.md#optional-method)
* [onChange](igalleryconfig.md#onchange)
* [preselected](igalleryconfig.md#optional-preselected)
* [prompt](igalleryconfig.md#optional-prompt)
* [showTitle](igalleryconfig.md#optional-showtitle)

## Properties

###  applyEmptyValues

• **applyEmptyValues**: *boolean*

Indicates if gallery should allow empty items array

___

### `Optional` description

• **description**? : *string*

The tooltip.

___

###  emptyValuesText

• **emptyValuesText**: *string*

Warning message that should be displaying if widget get empty items array

___

### `Optional` endpoint

• **endpoint**? : *string*

_Deprecated, use [AuWidgetAjax](../classes/auwidgetajax.md) instead._

___

### `Optional` forceSelection

• **forceSelection**? : *boolean*

if `true`, the first element will be automatically selected when the gallery opens.

___

### `Optional` headers

• **headers**? : *any*

_Deprecated, use [AuWidgetAjax](../classes/auwidgetajax.md) instead._

___

### `Optional` itemWidth

• **itemWidth**? : *string*

This item width allows you to override the default width.

___

### `Optional` items

• **items**? : *[IGalleryItem](igalleryitem.md)[]*

An array of images to display in the gallery.

___

### `Optional` itemsExpression

• **itemsExpression**? : *string*

___

### `Optional` method

• **method**? : *string*

_Deprecated, use [AuWidgetAjax](../classes/auwidgetajax.md) instead._

___

###  onChange

• **onChange**: *Function | Array‹Function›*

A single function or an array of functions that will be executed when an item is clicked.

___

### `Optional` preselected

• **preselected**? : *string*

The name of preselected item.

___

### `Optional` prompt

• **prompt**? : *string*

The prompt encouraging users to select an image.

___

### `Optional` showTitle

• **showTitle**? : *boolean*

If `true`, displays the title.
