
# Interface: ILineItem

Provides properties for a single order in a cart.

## Hierarchy

* [IOrderConfig](iorderconfig.md)

  ↳ **ILineItem**

## Index

### Properties

* [active](ilineitem.md#active)
* [customPrice](ilineitem.md#customprice)
* [data](ilineitem.md#data)
* [downloadUrls](ilineitem.md#downloadurls)
* [images](ilineitem.md#images)
* [logRequest](ilineitem.md#logrequest)
* [productIndex](ilineitem.md#productindex)
* [props](ilineitem.md#props)
* [quantity](ilineitem.md#quantity)
* [sku](ilineitem.md#sku)
* [useBackOffice](ilineitem.md#usebackoffice)

## Properties

###  active

• **active**: *boolean*

___

###  customPrice

• **customPrice**: *number*

*Inherited from [IOrderConfig](iorderconfig.md).[customPrice](iorderconfig.md#customprice)*

The custom price for the order.

___

###  data

• **data**: *Object*

*Inherited from [IOrderConfig](iorderconfig.md).[data](iorderconfig.md#data)*

Custom data (as a JSON object).

___

###  downloadUrls

• **downloadUrls**: *Array‹string›*

*Inherited from [IOrderConfig](iorderconfig.md).[downloadUrls](iorderconfig.md#downloadurls)*

An array of the print-ready files, which should be stored along with the order in your e-commerce system.

___

###  images

• **images**: *Array‹string›*

*Inherited from [IOrderConfig](iorderconfig.md).[images](iorderconfig.md#images)*

An array of URLs to preview images which should be stored along with the order in your e-commerce system.

___

###  logRequest

• **logRequest**: *boolean*

*Inherited from [IOrderConfig](iorderconfig.md).[logRequest](iorderconfig.md#logrequest)*

If `true`, logging 'add-to-cart' requests (for Shopify only).

___

###  productIndex

• **productIndex**: *number*

The product index for this line item.

___

###  props

• **props**: *Object*

*Inherited from [IOrderConfig](iorderconfig.md).[props](iorderconfig.md#props)*

Custom properties. They don't appear in the order, but are available in the `onSubmitting` callback.

___

###  quantity

• **quantity**: *number*

*Inherited from [IOrderConfig](iorderconfig.md).[quantity](iorderconfig.md#quantity)*

The number of ordered products. The default value is `1`.

___

###  sku

• **sku**: *string*

*Inherited from [IOrderConfig](iorderconfig.md).[sku](iorderconfig.md#sku)*

Order line item SKU (for option-based product).

___

###  useBackOffice

• **useBackOffice**: *boolean*

*Inherited from [IOrderConfig](iorderconfig.md).[useBackOffice](iorderconfig.md#usebackoffice)*

Indicates if driver should perform some BackOffice actions.
