
# Interface: IOrderConfig

Provides properties for the personalized orders.

You can use these properties in **params** of the [AuWidgetOrder](../classes/auwidgetorder.md) class.
```
{
  "widgets": [
    {
      "name": "order-details",
      "type": "order",
      "params": {
        "images": "{{$['editor'].proofImages}}",
        "downloadUrls": "{{$['editor'].hiResUrls}}",
        "data": {
          "stateId": "{{$['editor'].stateId}}"
        }
      }
    }
  ]
}
```

## Hierarchy

* **IOrderConfig**

  ↳ [ILineItem](ilineitem.md)

  ↳ [IOrderInitModel](iorderinitmodel.md)

## Index

### Properties

* [customPrice](iorderconfig.md#customprice)
* [data](iorderconfig.md#data)
* [downloadUrls](iorderconfig.md#downloadurls)
* [images](iorderconfig.md#images)
* [logRequest](iorderconfig.md#logrequest)
* [props](iorderconfig.md#props)
* [quantity](iorderconfig.md#quantity)
* [sku](iorderconfig.md#sku)
* [useBackOffice](iorderconfig.md#usebackoffice)

## Properties

###  customPrice

• **customPrice**: *number*

The custom price for the order.

___

###  data

• **data**: *Object*

Custom data (as a JSON object).

___

###  downloadUrls

• **downloadUrls**: *Array‹string›*

An array of the print-ready files, which should be stored along with the order in your e-commerce system.

___

###  images

• **images**: *Array‹string›*

An array of URLs to preview images which should be stored along with the order in your e-commerce system.

___

###  logRequest

• **logRequest**: *boolean*

If `true`, logging 'add-to-cart' requests (for Shopify only).

___

###  props

• **props**: *Object*

Custom properties. They don't appear in the order, but are available in the `onSubmitting` callback.

___

###  quantity

• **quantity**: *number*

The number of ordered products. The default value is `1`.

___

###  sku

• **sku**: *string*

Order line item SKU (for option-based product).

___

###  useBackOffice

• **useBackOffice**: *boolean*

Indicates if driver should perform some BackOffice actions.
