
# Interface: ISetPrintAreaOptions

Additional configuration settings for the print areas.

## Hierarchy

* **ISetPrintAreaOptions**

## Index

### Properties

* [preserveSafetyLines](isetprintareaoptions.md#preservesafetylines)
* [preserveUserChanges](isetprintareaoptions.md#preserveuserchanges)
* [replaceAll](isetprintareaoptions.md#replaceall)
* [updateRevertData](isetprintareaoptions.md#updaterevertdata)
* [updateSurfaceSize](isetprintareaoptions.md#updatesurfacesize)

## Properties

###  preserveSafetyLines

• **preserveSafetyLines**: *boolean*

If `true`, the current safety lines, if any, are restored in new print areas. If `false`, safety lines from new print areas are applied. The default value is `true`.

___

###  preserveUserChanges

• **preserveUserChanges**: *boolean*

If `true`, the changes made by a user are restored in the new print areas if it is possible. Otherwise, all changes made by the user are wiped. The default value is `true`.

___

###  replaceAll

• **replaceAll**: *boolean*

If `true`, design elements whose names do not match move to the new print area in a random order according to their types. If `false`, only design elements with the same names are moved to the new print area. The default value is `false`.

___

###  updateRevertData

• **updateRevertData**: *boolean*

If `true`, the new print areas are stored as ones to restore when the product is reverted. Otherwise, the previously stored print areas are restored on product revert. The default value is `true`.

___

###  updateSurfaceSize

• **updateSurfaceSize**: *boolean*

If `true`, changes the surface size to match the new print area. If it's `false` and a mockup is defined, then the surface size remains unchanged. By default, `updateSurfaceSize` is `false`, and the surface size changes only if no mockups are specified for the surface.
