
# Interface: ISetRemoteMockup

Provides properties to change mockups by using direct URLs.
Provides properties to change mockups by using direct URLs.

For details, you can refer to the [ChangeMockup command](https://customerscanvas.com/dev/editors/ui-framework/widgets/design-editor-commands/change-mockup.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setRemoteMockup": [{
      "surfaceIndex": 0,
      "mockup": "down",
      "url": "http://example.com/mockup.png"
    }]
  }
}
```

For details, you can refer to the [ChangeMockup command](https://customerscanvas.com/dev/editors/ui-framework/widgets/design-editor-commands/change-mockup.html).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setRemoteMockup": [{
      "surfaceIndex": 0,
      "mockup": "down",
      "url": "http://example.com/mockup.png"
    }]
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

* [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md)

  ↳ **ISetRemoteMockup**

## Index

### Properties

* [after](isetremotemockup.md#optional-after)
* [autoCompile](isetremotemockup.md#optional-autocompile)
* [executeOnce](isetremotemockup.md#optional-executeonce)
* [executeOnlyAfter](isetremotemockup.md#optional-executeonlyafter)
* [lock](isetremotemockup.md#optional-lock)
* [message](isetremotemockup.md#optional-message)
* [mockup](isetremotemockup.md#mockup)
* [onExecuted](isetremotemockup.md#optional-onexecuted)
* [showPreloader](isetremotemockup.md#optional-showpreloader)
* [surfaceIndex](isetremotemockup.md#surfaceindex)
* [timeout](isetremotemockup.md#optional-timeout)
* [url](isetremotemockup.md#url)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

*Overrides [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[after](idesigneditorcommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` autoCompile

• **autoCompile**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[autoCompile](idesigneditorcommanddefinition.md#optional-autocompile)*

If `false`, action will never execute automatically.

___

### `Optional` executeOnce

• **executeOnce**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnce](idesigneditorcommanddefinition.md#optional-executeonce)*

If `true`, this command will be executed only once.
You can use it for `initial` command.
For example, we need to change surface depending on the option value.
We write for `initial` and for `updateSurfaces` the same productDefinition with $['option]._
And set `executeOnce = true` for `initial`. And initial will be executed only once.

___

### `Optional` executeOnlyAfter

• **executeOnlyAfter**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[executeOnlyAfter](idesigneditorcommanddefinition.md#optional-executeonlyafter)*

Current command will be executed in a next update only after all commands executed in this param.
The same example from `executeOnce` param.
We need to execute `updateSurface` on all next updates, exclude the first one.
And we set `executeOnlyAfter = ['initial']` for `updateSurface` command.

___

### `Optional` lock

• **lock**? : *string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[lock](idesigneditorcommanddefinition.md#optional-lock)*

Name of widgets that show preloader when command executed.

___

### `Optional` message

• **message**? : *string | string[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[message](idesigneditorcommanddefinition.md#optional-message)*

The message for preloader.

___

###  mockup

• **mockup**: *"up" | "down"*

`up` for overlay mockups, and `down` for background mockups.
`up` for overlay mockups, and `down` for background mockups.

___

### `Optional` onExecuted

• **onExecuted**? : *Function | Function[]*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[onExecuted](idesigneditorcommanddefinition.md#optional-onexecuted)*

Functions that executed after command

___

### `Optional` showPreloader

• **showPreloader**? : *boolean*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[showPreloader](idesigneditorcommanddefinition.md#optional-showpreloader)*

If `true`, displays the preloader while executing this command.

___

###  surfaceIndex

• **surfaceIndex**: *number*

The index of a surface that should be modified (the current surface if omitted).
The index of a surface that should be modified (the current surface if omitted).

___

### `Optional` timeout

• **timeout**? : *number*

*Inherited from [IDesignEditorCommandDefinition](idesigneditorcommanddefinition.md).[timeout](idesigneditorcommanddefinition.md#optional-timeout)*

The timeout for switching preloader messages.

___

###  url

• **url**: *string*

A URL that links to the mockup image.
A URL that links to the mockup image.
