
# Interface: IUploaderConfig

Provides properties for the [**uploader** widget](../classes/auwidgetuploader.md).

## Hierarchy

* **IUploaderConfig**

## Index

### Properties

* [buttonText](iuploaderconfig.md#buttontext)
* [destination](iuploaderconfig.md#destination)
* [fileFormName](iuploaderconfig.md#fileformname)
* [fileTypes](iuploaderconfig.md#filetypes)
* [form](iuploaderconfig.md#form)
* [headers](iuploaderconfig.md#headers)
* [multiple](iuploaderconfig.md#multiple)
* [onError](iuploaderconfig.md#onerror)
* [onSuccess](iuploaderconfig.md#onsuccess)
* [responseType](iuploaderconfig.md#responsetype)
* [supportedText](iuploaderconfig.md#supportedtext)
* [text](iuploaderconfig.md#text)

## Properties

###  buttonText

• **buttonText**: *string*

___

###  destination

• **destination**: *string*

An endpoint that performs the upload.

___

###  fileFormName

• **fileFormName**: *string*

A key that defines the file name for saving the uploaded file.

___

###  fileTypes

• **fileTypes**: *Array‹string›*

An array of supported file types.

___

###  form

• **form**: *object*

#### Type declaration:

* \[ **key**: *string*\]: any

___

###  headers

• **headers**: *object*

A dictionary defining HTTP response headers.

#### Type declaration:

* \[ **key**: *string*\]: string

___

###  multiple

• **multiple**: *boolean*

If `true`, users will be allowed to upload multiple files.

___

###  onError

• **onError**: *Function*

A function that will be executed after a failed upload.

___

###  onSuccess

• **onSuccess**: *Function*

A function that will be executed after a successful upload.

___

###  responseType

• **responseType**: *string*

___

###  supportedText

• **supportedText**: *string*

Text followed by supported formats.

___

###  text

• **text**: *string*

The text message.
