
# Interface: IWidget

Provides basic properties for all widgets.

```
{
  "widgets": [{
    "type": "option",
    "title": "Choose size",
    "name": "size-selector",
    "params": {
      "id": 0
    }
 }]
}
```

## Hierarchy

* **IWidget**

## Implemented by

* [Au3dViewerBase](../classes/au3dviewerbase.md)
* [AuAbstractOption](../classes/auabstractoption.md)
* [AuBaseSelectorWidget](../classes/aubaseselectorwidget.md)
* [AuBaseWidget](../classes/aubasewidget.md)
* [AuCanvas](../classes/aucanvas.md)
* [AuDesignEditor](../classes/audesigneditor.md)
* [AuPIMDesignSelector](../classes/aupimdesignselector.md)
* [AuWidget3DViewer](../classes/auwidget3dviewer.md)
* [AuWidgetAjax](../classes/auwidgetajax.md)
* [AuWidgetAssetStorageAjax](../classes/auwidgetassetstorageajax.md)
* [AuWidgetButton](../classes/auwidgetbutton.md)
* [AuWidgetCanvas](../classes/auwidgetcanvas.md)
* [AuWidgetCart](../classes/auwidgetcart.md)
* [AuWidgetCheckbox](../classes/auwidgetcheckbox.md)
* [AuWidgetColorPicker](../classes/auwidgetcolorpicker.md)
* [AuWidgetColorSelector](../classes/auwidgetcolorselector.md)
* [AuWidgetDataSheet](../classes/auwidgetdatasheet.md)
* [AuWidgetDesignAtoms](../classes/auwidgetdesignatoms.md)
* [AuWidgetDesignEditor](../classes/auwidgetdesigneditor.md)
* [AuWidgetDndController](../classes/auwidgetdndcontroller.md)
* [AuWidgetFinishButton](../classes/auwidgetfinishbutton.md)
* [AuWidgetFinishGroup](../classes/auwidgetfinishgroup.md)
* [AuWidgetFunctionTrigger](../classes/auwidgetfunctiontrigger.md)
* [AuWidgetGallery](../classes/auwidgetgallery.md)
* [AuWidgetGroup](../classes/auwidgetgroup.md)
* [AuWidgetHelp](../classes/auwidgethelp.md)
* [AuWidgetHtml](../classes/auwidgethtml.md)
* [AuWidgetImageCarousel](../classes/auwidgetimagecarousel.md)
* [AuWidgetInputText](../classes/auwidgetinputtext.md)
* [AuWidgetMockup3DViewer](../classes/auwidgetmockup3dviewer.md)
* [AuWidgetOption](../classes/auwidgetoption.md)
* [AuWidgetOrder](../classes/auwidgetorder.md)
* [AuWidgetPantoneColorPicker](../classes/auwidgetpantonecolorpicker.md)
* [AuWidgetPimOption](../classes/auwidgetpimoption.md)
* [AuWidgetPimOptions](../classes/auwidgetpimoptions.md)
* [AuWidgetPreflight](../classes/auwidgetpreflight.md)
* [AuWidgetPreviewMockupSlider](../classes/auwidgetpreviewmockupslider.md)
* [AuWidgetProductInformationAJAX](../classes/auwidgetproductinformationajax.md)
* [AuWidgetSlider](../classes/auwidgetslider.md)
* [AuWidgetStaticText](../classes/auwidgetstatictext.md)
* [AuWidgetSteps](../classes/auwidgetsteps.md)
* [AuWidgetUploader](../classes/auwidgetuploader.md)
* [AuWidgetVariantSelector](../classes/auwidgetvariantselector.md)

## Index

### Properties

* [driver](iwidget.md#driver)
* [language](iwidget.md#language)
* [name](iwidget.md#name)
* [params](iwidget.md#optional-params)
* [title](iwidget.md#title)
* [type](iwidget.md#optional-type)

## Properties

###  driver

• **driver**: *IDriver*

An e-commerce driver. For details, see [Working with e-commerce drivers](https://customerscanvas.com/dev/editors/ui-framework/ecommerce-driver.html).

___

###  language

• **language**: *string*

The localization language (like `en`, `fr`, `de`, `nl`, `ru`, etc.).

___

###  name

• **name**: *string*

A unique machine-readable name.

___

### `Optional` params

• **params**? : *any*

A widget params.

___

###  title

• **title**: *string*

A widget title that appears in the user interface.

___

### `Optional` type

• **type**? : *string*

A widget type.
