
# Interface: IWidgetDataSheetConfig

Provides properties that are used to create a [Datasheet](https://customerscanvas.com/dev/editors/ui-framework/widgets/datasheet.html) widget.

## Hierarchy

* **IWidgetDataSheetConfig**

## Index

### Properties

* [allowedFileTypes](iwidgetdatasheetconfig.md#allowedfiletypes)
* [customTexts](iwidgetdatasheetconfig.md#optional-customtexts)
* [data](iwidgetdatasheetconfig.md#data)
* [fileName](iwidgetdatasheetconfig.md#filename)
* [hideButtonsLeft](iwidgetdatasheetconfig.md#optional-hidebuttonsleft)
* [hideButtonsRight](iwidgetdatasheetconfig.md#optional-hidebuttonsright)
* [itemsPerPage](iwidgetdatasheetconfig.md#itemsperpage)
* [onCellTextChange](iwidgetdatasheetconfig.md#optional-oncelltextchange)
* [onRowChange](iwidgetdatasheetconfig.md#optional-onrowchange)
* [order](iwidgetdatasheetconfig.md#optional-order)
* [scrollToRowEnabled](iwidgetdatasheetconfig.md#optional-scrolltorowenabled)
* [tableData](iwidgetdatasheetconfig.md#tabledata)
* [updateItem](iwidgetdatasheetconfig.md#updateitem)

## Properties

###  allowedFileTypes

• **allowedFileTypes**: *string | string[]*

Allowed file types.

___

### `Optional` customTexts

• **customTexts**? : *[DataSheetTableTexts](../classes/datasheettabletexts.md)*

Custom notification texts.

___

###  data

• **data**: *[IWidgetDataSheetColumnScheme](iwidgetdatasheetcolumnscheme.md)[]*

A column scheme for a table.

___

###  fileName

• **fileName**: *string*

The name of the output file.

___

### `Optional` hideButtonsLeft

• **hideButtonsLeft**? : *boolean*

If `true`, hides the **Export** and **Import** buttons.

___

### `Optional` hideButtonsRight

• **hideButtonsRight**? : *boolean*

If `true`, hide the **Add row** and **Delete row** buttons.

___

###  itemsPerPage

• **itemsPerPage**: *number*

The number of items shown on one page

___

### `Optional` onCellTextChange

• **onCellTextChange**? : *Function | Array‹Function›*

___

### `Optional` onRowChange

• **onRowChange**? : *Function | Array‹Function›*

___

### `Optional` order

• **order**? : *string[]*

Array of column names defining the sort order.

___

### `Optional` scrollToRowEnabled

• **scrollToRowEnabled**? : *boolean*

If `true`, scrolls the table to added or deleted row.

___

###  tableData

• **tableData**: *[DataSheetRow](../README.md#datasheetrow)[]*

Table content.

___

###  updateItem

• **updateItem**: *any*
