
# Interface: IWidgetOptionParam

Provides advanced settings for options.

## Hierarchy

* IOption

  ↳ **IWidgetOptionParam**

## Index

### Properties

* [applyEmptyValues](iwidgetoptionparam.md#applyemptyvalues)
* [description](iwidgetoptionparam.md#description)
* [emptyValuesText](iwidgetoptionparam.md#emptyvaluestext)
* [hidden](iwidgetoptionparam.md#hidden)
* [id](iwidgetoptionparam.md#id)
* [initWithEmptyValue](iwidgetoptionparam.md#optional-initwithemptyvalue)
* [onAvailableOptionValueChange](iwidgetoptionparam.md#onavailableoptionvaluechange)
* [onChange](iwidgetoptionparam.md#optional-onchange)
* [onOptionValueChange](iwidgetoptionparam.md#onoptionvaluechange)
* [orderIndex](iwidgetoptionparam.md#orderindex)
* [placeholderText](iwidgetoptionparam.md#optional-placeholdertext)
* [prompt](iwidgetoptionparam.md#prompt)
* [props](iwidgetoptionparam.md#props)
* [required](iwidgetoptionparam.md#required)
* [subType](iwidgetoptionparam.md#subtype)
* [title](iwidgetoptionparam.md#title)
* [type](iwidgetoptionparam.md#type)
* [values](iwidgetoptionparam.md#values)

### Methods

* [clone](iwidgetoptionparam.md#clone)
* [init](iwidgetoptionparam.md#init)
* [matchesModel](iwidgetoptionparam.md#matchesmodel)
* [matchesPartial](iwidgetoptionparam.md#matchespartial)
* [mergeWithModel](iwidgetoptionparam.md#mergewithmodel)
* [mergeWithPartial](iwidgetoptionparam.md#mergewithpartial)
* [updateAvailableOptionValues](iwidgetoptionparam.md#updateavailableoptionvalues)
* [updateOptionValue](iwidgetoptionparam.md#updateoptionvalue)
* [validateModel](iwidgetoptionparam.md#validatemodel)

## Properties

###  applyEmptyValues

• **applyEmptyValues**: *boolean*

*Overrides void*

___

###  description

• **description**: *string*

*Inherited from void*

___

###  emptyValuesText

• **emptyValuesText**: *string*

*Inherited from void*

___

###  hidden

• **hidden**: *boolean*

If `true`, hides this option.

___

###  id

• **id**: *number*

*Inherited from void*

___

### `Optional` initWithEmptyValue

• **initWithEmptyValue**? : *boolean*

*Inherited from void*

___

###  onAvailableOptionValueChange

• **onAvailableOptionValueChange**: *IEvent‹IOption, IOptionValue[]›*

*Inherited from void*

Available option values change event

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

A single function or an array of functions that will be executed when the option value is changed.

___

###  onOptionValueChange

• **onOptionValueChange**: *IEvent‹IOption, IOptionValue[]›*

*Inherited from void*

Option value change event

___

###  orderIndex

• **orderIndex**: *number*

The order index.

___

### `Optional` placeholderText

• **placeholderText**? : *string*

*Inherited from void*

___

###  prompt

• **prompt**: *string*

*Inherited from void*

___

###  props

• **props**: *any*

*Inherited from void*

___

###  required

• **required**: *boolean*

*Inherited from void*

___

###  subType

• **subType**: *string*

*Inherited from void*

___

###  title

• **title**: *string*

*Inherited from void*

___

###  type

• **type**: *string*

*Inherited from void*

___

###  values

• **values**: *PointedArray‹[IWidgetOptionValue](iwidgetoptionvalue.md)›*

*Overrides void*

the option values as defined in the ecommerce-driver.

## Methods

###  clone

▸ **clone**(): *IInitiable*

*Inherited from void*

**Returns:** *IInitiable*

___

###  init

▸ **init**(`model`: any): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *void*

___

###  matchesModel

▸ **matchesModel**(`model`: any): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *boolean*

___

###  matchesPartial

▸ **matchesPartial**(`model`: Partial‹IInitiable›): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | Partial‹IInitiable› |

**Returns:** *boolean*

___

###  mergeWithModel

▸ **mergeWithModel**(`other`: any): *IInitiable*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`other` | any |

**Returns:** *IInitiable*

___

###  mergeWithPartial

▸ **mergeWithPartial**(`other`: Partial‹IInitiable›): *IInitiable*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`other` | Partial‹IInitiable› |

**Returns:** *IInitiable*

___

###  updateAvailableOptionValues

▸ **updateAvailableOptionValues**(`availableValues`: IOptionValue[]): *void*

*Inherited from void*

Update available option values

**Parameters:**

Name | Type |
------ | ------ |
`availableValues` | IOptionValue[] |

**Returns:** *void*

___

###  updateOptionValue

▸ **updateOptionValue**(`values`: Array‹IOptionValue | string›): *void*

*Inherited from void*

Update option selected value

**Parameters:**

Name | Type |
------ | ------ |
`values` | Array‹IOptionValue &#124; string› |

**Returns:** *void*

___

###  validateModel

▸ **validateModel**(`model`: any): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *boolean*
