
# Interface: IWidgetOptionValue

Provides a property to handle an option selection.

## Hierarchy

* IOptionValue

  ↳ **IWidgetOptionValue**

## Index

### Properties

* [color](iwidgetoptionvalue.md#color)
* [disabled](iwidgetoptionvalue.md#disabled)
* [id](iwidgetoptionvalue.md#id)
* [imageUrl](iwidgetoptionvalue.md#imageurl)
* [onSelect](iwidgetoptionvalue.md#onselect)
* [preselected](iwidgetoptionvalue.md#preselected)
* [price](iwidgetoptionvalue.md#price)
* [props](iwidgetoptionvalue.md#props)
* [shownPrice](iwidgetoptionvalue.md#optional-shownprice)
* [title](iwidgetoptionvalue.md#title)

### Methods

* [clone](iwidgetoptionvalue.md#clone)
* [init](iwidgetoptionvalue.md#init)
* [matchesModel](iwidgetoptionvalue.md#matchesmodel)
* [matchesPartial](iwidgetoptionvalue.md#matchespartial)
* [mergeWithModel](iwidgetoptionvalue.md#mergewithmodel)
* [mergeWithPartial](iwidgetoptionvalue.md#mergewithpartial)
* [validateModel](iwidgetoptionvalue.md#validatemodel)

## Properties

###  color

• **color**: *string*

*Inherited from void*

___

###  disabled

• **disabled**: *boolean*

*Inherited from void*

___

###  id

• **id**: *number*

*Inherited from void*

___

###  imageUrl

• **imageUrl**: *string*

*Inherited from void*

___

###  onSelect

• **onSelect**: *Function*

A single function that will be executed when the user selects a value.

___

###  preselected

• **preselected**: *boolean*

*Inherited from void*

___

###  price

• **price**: *number*

*Inherited from void*

___

###  props

• **props**: *any*

*Inherited from void*

___

### `Optional` shownPrice

• **shownPrice**? : *number*

*Inherited from void*

___

###  title

• **title**: *string*

*Inherited from void*

## Methods

###  clone

▸ **clone**(): *IInitiable*

*Inherited from void*

**Returns:** *IInitiable*

___

###  init

▸ **init**(`model`: any): *void*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *void*

___

###  matchesModel

▸ **matchesModel**(`model`: any): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *boolean*

___

###  matchesPartial

▸ **matchesPartial**(`model`: Partial‹IInitiable›): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | Partial‹IInitiable› |

**Returns:** *boolean*

___

###  mergeWithModel

▸ **mergeWithModel**(`other`: any): *IInitiable*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`other` | any |

**Returns:** *IInitiable*

___

###  mergeWithPartial

▸ **mergeWithPartial**(`other`: Partial‹IInitiable›): *IInitiable*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`other` | Partial‹IInitiable› |

**Returns:** *IInitiable*

___

###  validateModel

▸ **validateModel**(`model`: any): *boolean*

*Inherited from void*

**Parameters:**

Name | Type |
------ | ------ |
`model` | any |

**Returns:** *boolean*
