Button
======

A widget that adds a button. You may call some code by clicking it.

## General info

- **type**: `button`

## Params

- `classStyle` - `'primary'` | `'success'` (a button style).
- `text` - the button caption.
- `enabled ` - `true` | `false` - whether a button is clickable.
- `visible ` - `true` | `false` - whether a button is visible.
- `onClick ` - a single function or an array of functions (described as `{{#function ...}}` - see [Dynamic Configs article](../dynamic-configs.md) for details). 

## Example

``` json
{
  "name": "button-fin",
  "type": "button",
  "params": {
    "text": "button",
    "classStyle": "primary",
    "onClick": "{{#function console.log('Hello world');}}",
    "enabled": true,
    "visible": true
  }
}
```