Command: setBackground
======================

Allows for replacing a background image of a design opened in the editor. The image can be either taken from a specified URL or the Customer's Canvas public gallery (in this case, the syntax is **public:folder/filename.jpg**).

_**NOTE:** You should take care that the background has a correct DPI and dimensions, otherwise, it may distort the design size._

## Params

- `url` - a URL to the image or a path in Customer's Canvas gallery with the **public:** prefix as explained in [Customer's Canvas docs](https://customerscanvas.com/docs/cc/working-with-user-data.htm#setUserInfo).
- `surfaceIndex` - index of a surface that should be modified (current surface, if omitted). 
- `toTile` - if `true`, the background image will tile the entire design. It is useful for pattern backgrounds. If `false` (default), the background size will become the product size.

### Example

``` json
{
    "type": "gallery",
    "name": "bg",
    "params": {
        "items": [...]
    }
},
{
    "type": "canvas", 
    "name": "cc",
    "params": {
        "initial": { ... }, 
        "setBackground": {
            "url": "{{ $['bg']._.url }}"
        }
     }
}
```