Checkbox
========

A simple widget that adds a checkbox.

## General info

- **type**: `checkbox`

## Params

 - `prompt` - a text string displaying the checkbox caption.
 - `value` or `_` - a checkbox value, whether it is checked or not (`false` if omitted). 

## Example

Let's assume you want to add a checkbox that should lock the [FinishButton](finish-button.md) when it is not set. The config may appear as follows:

``` json
{
    "widgets": [
        {
            "name": "agree-checkbox",
            "type": "checkbox",
            "params": {
                "prompt": "I approve the design.",
                "value": true
            }
        },
        {
            "name": "finish-button",
            "type": "finish-button",
            "params": {
                "enabled": "{{$['agree-checkbox']._}}"
            }
        }

    ]
}
```
