Command: setBackground
======================

Allows for replacing a background image of a design opened in the editor. The image can be taken from either a specified URL or the Customer's Canvas public gallery (in this case, the syntax is **public:folder/filename.jpg**).

_**Note!** You should take care that the background has a correct DPI and dimensions, otherwise, it may distort the design size._

## Params

- `url` - a URL to the image or a path in the Customer's Canvas gallery with the **public:** prefix as explained in [Customer's Canvas docs](https://customerscanvas.com/docs/cc/working-with-user-data.htm#setUserInfo).
- `surfaceIndex` - an index of a surface that should be modified (the current surface, if omitted). 
- `autoResize` - if `true`, the background image will be resized to cover the entire design.
- `toTile` - if `true`, the background image will tile the entire design. It is useful for pattern backgrounds. If `false` (by default), the background size will become the product size.

### Example

``` json
{
    "type": "gallery",
    "name": "bg",
    "params": {
        "items": [...]
    }
},
{
    "type": "design-editor", 
    "name": "design-editor",
    "params": {
        "initial": { ... }, 
        "setBackground": {
            "url": "{{ $['bg']._.url }}"
        }
    }
}
```