
Command: setPrintArea
=====================

This is an equivalent of the [setPrintAreas](https://customerscanvas.com/docs/cc/customerscanvas.iframeapi.objectmodel.surface.setprintareas.htm) method from the IFrame API, but only for one surface (either a specified surface or the current surface).

## Params

- `data` - the same print area definition as used in the [setPrintAreas](https://customerscanvas.com/docs/cc/customerscanvas.iframeapi.objectmodel.surface.setprintareas.htm).
- `surfaceIndex` - which surface to replace. If omitted, the currently visible surface is modified.
- `options` - additional configuration settings. See the [ISetPrintAreasOptions](https://customerscanvas.com/docs/cc/customerscanvas.iframeapi.objectmodel.isetprintareasoptions.htm) docs for more details.

## Example

``` json
{
    "type": "design-editor",
    "name": "design-editor",
    "params": {
        "initial": { ... },
        "setPrintArea": [{
            "surfaceIndex": 1,
            "data": {
                "designFile": "{{'demos/cards/'+$['designs']._.title}}"
            },
            "options": {
                "preserveUserChanges": true,
                "updateRevertData": true,
                "updateSurfaceSize": true
            }
        }]
    }
}
```