
Command: setSurfaces
=====================

Replaces a product in the editor by using surface definitions. This command is an equivalent of the [setSurfaces](https://customerscanvas.com/docs/cc/customerscanvas.iframeapi.objectmodel.surface.setsurfaces.htm) method from the IFrame API.

## Params

- `surfaces` - an array of the new surfaces.

## Example

``` json
{
    "type": "design-editor",
    "name": "editor",
    "params": {
        "initial": { ... },
        "setSurfaces": {
            "surfaces": [{
                "{{ #if $['editor'].stateId !== '' }}": {
                    "stateId": "{{ $['editor'].stateId }}",
                    "surface": 0
                }
            }]
        }
    }
}
```