Command: updateItems
=====================

Updates design elements. 

## Params

- `items` - a list of design elements to be updated. This command takes a <string, object> structure. Here, `string` is the design element name. The `object` represents key-value pairs of item properties (so-called **itemData**). For details, you can refer to the description of [ItemsData](https://customerscanvas.com/docs/cc/web-api-for-rendering.htm#ItemsData).

## Example

``` json
{
    "name": "design-editor",
    "type": "design-editor",
    "params": {
        "initial": { ... },
        "updateItems": {
            "items": {
                "header": {
                    "text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit ...",
                    "font": {
                        "{{#new BaseTextItem.FontSettings}}": ["ArialMT", 36]
                    }
                }
            }
        }
    }
}
```