# StaticText

This is a very simple widget displaying a text string. You can use StaticText as a stub.

## General information

- **type**: `static-text`

## Properties

- `text` - a text string.

## Examples

### Basic usage

``` json
{
    "type": "static-text", 
    "name": "stub",
    "params": {
        "text": "No options available."
    }
}
```

### Displaying the content of another widget

For debug purposes, it may be convenient to use this widget to display dynamic values from another widget. For example, you have an option widget called **treatment**. To see its value when the user selects it, use the config like this:

``` json
{
    "type": "static-text", 
    "name": "debug-treatment",
    "params": {
        "text": "{{$['treatment']._.title}}"
    }
}
```

For more complicated texts where you need to add HTML markup, use the [Html widget](html.md).

## See also

  * [General information](../readme.md)
  * [Dynamic configs](../dynamic-configs.md)
  * [Html widget](html.md)